######################
# ONI TEAM ARENA 1.0 #
######################
# arena_teams.bsl for airport
######################
func void ArenaSetupTeams(void) {
	arena_players= 1;
	chr_unkillable(char_0, 1); chr_changeteam(char_0, Konoko);
	fork RespawnPlayer(Konoko, char_0, "[y.KONOKO]");
	sleep 100; fork AddEnemyTeam();
	sleep 50; fork AddNeutralTeam();
	sleep 50; fork AddFriendTeam();
}
func void AddFriendTeam(void) {
	AddPlayer(Konoko, alamo_thug_1, "[g.Grass]"); sleep 150;
	AddPlayer(Konoko, LoadingBay_Thug_2, "[g.Turf]"); sleep 150;
	AddPlayer(Konoko, LoadingBay_Thug_1, "[g.Lawn]"); sleep 150;
	AddPlayer(Konoko, civ_victim_11, "[r.Rose]"); sleep 150;
	AddPlayer(Konoko, civ_victim_21, "[y.Tulip]"); sleep 150;
	AddPlayer(Konoko, civ_victim_1, "[b.Violet]"); sleep 150;
	dmsg("[g.GARDENERS] team complete");
}
func void AddEnemyTeam(void) {
	AddPlayer(Syndicate, BoothMuro01, "[r.The Flame Reaver]"); sleep 150;
	AddPlayer(Syndicate, BoothStriker02, "[o.Incinerator]"); sleep 150;
	AddPlayer(Syndicate, BayTwo_Striker_1, "[r.Smolderer]"); sleep 150;
	AddPlayer(Syndicate, Repair_Striker_2, "[r.Burner]"); sleep 150;
	AddPlayer(Syndicate, kd_2, "[o.Flamer]"); sleep 150;
	AddPlayer(Syndicate, finalam_striker_1, "[r.Fire]"); sleep 150;
	AddPlayer(Syndicate, finalam_striker_2, "[r.Naplam]"); sleep 150;
	AddPlayer(Syndicate, mad_bomber_2, "[o.BOMB]"); sleep 150;
	AddPlayer(Syndicate, hidden_striker1, "[o.Pyrotechnics Worker 1]"); sleep 150;
	AddPlayer(Syndicate, Intro_Comguy_1, "[o.Pyrotechnics Worker 2]"); sleep 150;
	dmsg("[r.PYROMANIACS] team complete");
}
func void AddNeutralTeam(void) {
	AddPlayer(Neutral, civ_victim_3, "[r.Citizen Smith]"); sleep 150;
	AddPlayer(Neutral, civ_victim_5, "[y.Citizen Jones]"); sleep 150;
	AddPlayer(Neutral, civ_victim_2, "[b.Citizen Jack]"); sleep 150;
	dmsg("[b.CITIZEN] team complete");
}
################################# CALLED AT EVERY FRAG
func ArenaAwareness {
	ai2_makeaware(alamo_thug_1, BoothMuro01)
	ai2_makeaware(LoadingBay_Thug_2, BoothMuro01)
	ai2_makeaware(LoadingBay_Thug_1, BoothMuro01)
	ai2_makeaware(civ_victim_11, BoothMuro01)
	ai2_makeaware(civ_victim_21, BoothMuro01)
	ai2_makeaware(civ_victim_1, BoothMuro01)

	ai2_makeaware(BoothMuro01, char_0)
	ai2_makeaware(BoothStriker02, char_0)
	ai2_makeaware(BayTwo_Striker_1, char_0)
	ai2_makeaware(Repair_Striker_2, char_0)
	ai2_makeaware(kd_2, char_0)
	ai2_makeaware(finalam_striker_1, char_0)
	ai2_makeaware(finalam_striker_2, char_0)
	ai2_makeaware(mad_bomber_2, char_0)
	ai2_makeaware(hidden_striker1, char_0)
	ai2_makeaware(Intro_Comguy_1, char_0)

	ai2_makeaware(civ_victim_3, BoothMuro01)
	ai2_makeaware(civ_victim_5, BoothMuro01)
	ai2_makeaware(civ_victim_2, BoothMuro01)
	ai2_makeaware(civ_victim_3, char_0)
	ai2_makeaware(civ_victim_5, char_0)
	ai2_makeaware(civ_victim_2, char_0)
}
################################### USED FOR BOT SHAPESHIFTING
################ PLAYERS APPEAR IN THE ORDER THEY WERE SPAWNED
func void ArenaMenuName(void) {
	if(arena_spawn_id eq  0)
		{arena_menu_name= char_0; arena_menu_nick= "[y.KONOKO]";}
	if(arena_spawn_id eq  1)
		{arena_menu_name= civ_victim_1; arena_menu_nick= "[b.Violet]";}
	if(arena_spawn_id eq  2)
		{arena_menu_name= BoothMuro01; arena_menu_nick= "[r.The Flame Reaver]";}
	if(arena_spawn_id eq  3)
		{arena_menu_name= civ_victim_3; arena_menu_nick= "[r.Citizen Smith]";}
	if(arena_spawn_id eq  4)
		{arena_menu_name= alamo_thug_1; arena_menu_nick= "[g.Grass]";}
	if(arena_spawn_id eq  5)
		{arena_menu_name= BoothStriker02; arena_menu_nick= "[o.Incinerator]";}
	if(arena_spawn_id eq  6)
		{arena_menu_name= civ_victim_5; arena_menu_nick= "[y.Citizen Jones]";}
	if(arena_spawn_id eq  7)
		{arena_menu_name= LoadingBay_Thug_2; arena_menu_nick= "[g.Turf]";}
	if(arena_spawn_id eq  8)
		{arena_menu_name= BayTwo_Striker_1; arena_menu_nick= "[r.Smolderer]";}
	if(arena_spawn_id eq  9)
		{arena_menu_name= civ_victim_2; arena_menu_nick= "[b.Citizen Jack]";}
	if(arena_spawn_id eq 10)
		{arena_menu_name= LoadingBay_Thug_1; arena_menu_nick= "[g.Lawn]";}
	if(arena_spawn_id eq 11)
		{arena_menu_name= Repair_Striker_2; arena_menu_nick= "[r.Burner]";}
	if(arena_spawn_id eq 12)
		{arena_menu_name= civ_victim_11; arena_menu_nick= "[r.Rose]";}
	if(arena_spawn_id eq 13)
		{arena_menu_name= kd_2; arena_menu_nick= "[o.Flamer]";}
	if(arena_spawn_id eq 14)
		{arena_menu_name= civ_victim_21; arena_menu_nick= "[y.Tulip]";}
	if(arena_spawn_id eq 15)
		{arena_menu_name= finalam_striker_1; arena_menu_nick= "[r.Fire]";}
	if(arena_spawn_id eq 16)
		{arena_menu_name= finalam_striker_2; arena_menu_nick= "[r.Naplam]";}
	if(arena_spawn_id eq 17)
		{arena_menu_name= mad_bomber_2; arena_menu_nick= "[o.BOMB]";}
	if(arena_spawn_id eq 18)
		{arena_menu_name= hidden_striker1; arena_menu_nick= "[o.Pyrotechnics Worker 1]";}
	if(arena_spawn_id eq 19)
		{arena_menu_name= Intro_Comguy_1; arena_menu_nick= "[o.Pyrotechnics Worker 2]";}
}
