######################
# ONI TEAM ARENA 1.0 #
######################
# arena_weapons.bsl for Rooftops
################ WEAPON VARIABLES (CORE)
var int arena_gun_mode= 0;
var int weapons_spawned= 0; var int can_give_weapon= 0;
var int fixed_weapon= 0; var int fixed_weapon_max;
################ MAX NUMBER OF WEAPONS (CUSTOM)
var int max_weapons= 40;
################ RESET WEAPONS (CUSTOM, CAN BE AREA-DEPENDENT)
func void ArenaResetWeapons(void) {
	weapons_spawned= 0; max_weapons= 20;
	if(arena_area eq 2) max_weapons= 10;
	if(game_mode > 2) max_weapons= 5;
	fixed_weapon_max= 8;
	can_give_weapon= 0;
	weapon_reset();
}
################
func void ArenaGunsNextMode(void) {
	arena_gun_mode= arena_gun_mode + 1;
	if(arena_gun_mode > 6) arena_gun_mode= 0;
}
func void ArenaGunsInfo(void) {
	if(arena_gun_mode eq 0) dmsg "No guns"	
	if(arena_gun_mode eq 1) dmsg "Mixed guns given at respawn"
	if(arena_gun_mode eq 2) dmsg "Mixed guns spawned on the ground"
	if(arena_gun_mode eq 3) dmsg "CEs given at respawn"
	if(arena_gun_mode eq 4) dmsg "CEs spawned on the ground"
	if(arena_gun_mode eq 5) dmsg "VDGs given at respawn"
	if(arena_gun_mode eq 6) dmsg "VDGs spawned on the ground"
}
################ MODERATOR (CUSTOM)
func void ArenaWeaponModerator(int frags) {
	if(frags eq   5) ArenaAddWeapon();
	if(frags eq  10) ArenaAddWeapon();
	if(frags eq  15) ArenaAddWeapon();
	if(frags eq  20) ArenaAddWeapon();
	if(frags eq  25) ArenaAddWeapon();
	if(frags eq  30) ArenaAddWeapon();
	if(frags eq  35) ArenaAddWeapon();
	if(frags eq  40) ArenaAddWeapon();
	if(frags eq  45) ArenaAddWeapon();
	if(frags eq  50) ArenaAddWeapon();
	if(frags eq  55) ArenaAddWeapon();
	if(frags eq  60) ArenaAddWeapon();
	if(frags eq  65) ArenaAddWeapon();
	if(frags eq  70) ArenaAddWeapon();
	if(frags eq  75) ArenaAddWeapon();
	if(frags eq  80) ArenaAddWeapon();
	if(frags eq  85) ArenaAddWeapon();
	if(frags eq  90) ArenaAddWeapon();
	if(frags eq  95) ArenaAddWeapon();
	if(frags eq 100) ArenaAddWeapon();
	if(frags eq 105) ArenaAddWeapon();
	if(frags eq 110) ArenaAddWeapon();
	if(frags eq 115) ArenaAddWeapon();
	if(frags eq 120) ArenaAddWeapon();
	if(frags eq 125) ArenaAddWeapon();
	if(frags eq 130) ArenaAddWeapon();
	if(frags eq 135) ArenaAddWeapon();
	if(frags eq 140) ArenaAddWeapon();
	if(frags eq 145) ArenaAddWeapon();
	if(frags eq 150) ArenaAddWeapon();
	if(frags eq 155) ArenaAddWeapon();
	if(frags eq 160) ArenaAddWeapon();
	if(frags eq 165) ArenaAddWeapon();
	if(frags eq 170) ArenaAddWeapon();
	if(frags eq 175) ArenaAddWeapon();
	if(frags eq 180) ArenaAddWeapon();
	if(frags eq 185) ArenaAddWeapon();
	if(frags eq 190) ArenaAddWeapon();
	if(frags eq 195) ArenaAddWeapon();
	if(frags eq 100) ArenaAddWeapon();
}
################ ADD NEW WEAPON (CORE)
func void ArenaAddWeapon(void) {
	if(arena_gun_mode eq 4) SpawnFixedCE();
	if(arena_gun_mode eq 4) SpawnFixedVDG();
	if(arena_gun_mode eq 2) SpawnFixedWeapon();
	if(arena_gun_mode eq 1) can_give_weapon= 1;
	if(arena_gun_mode eq 3) can_give_weapon= 1;
	if(arena_gun_mode eq 5) can_give_weapon= 1;
}
######## GIVEN WEAPON (CORE)
func void GiveRandWeapon(string ai_name) {
	if(can_give_weapon eq 1 and weapons_spawned < max_weapons) {
		can_give_weapon= 0; weapons_spawned= weapons_spawned + 1;
		if(arena_gun_mode eq 3) rand_weapon_name= w1_tap;
		else if(arena_gun_mode eq 5) rand_weapon_name= w6_vdg;
		else RandWeapon();
		chr_giveweapon(ai_name, rand_weapon_name);
	}
}
######## FIXED WEAPON (LEVEL- AND AREA-DEPENDENT) 
func void SpawnFixedWeapon(void) {
	if(weapons_spawned < max_weapons) {
		weapons_spawned= weapons_spawned + 1;
		fixed_weapon= fixed_weapon + 1;
		if(fixed_weapon > fixed_weapon_max) fixed_weapon= 0;
		if(arena_area eq 0) {
			if(fixed_weapon eq 0) weapon_spawn w1_tap 1116
			if(fixed_weapon eq 1) weapon_spawn w2_sap 1118
			if(fixed_weapon eq 2) weapon_spawn w3_phr 1120
			if(fixed_weapon eq 3) weapon_spawn w4_psm 1122
			if(fixed_weapon eq 4) weapon_spawn w5_sbg 1124
			if(fixed_weapon eq 5) weapon_spawn w6_vdg 1126
			if(fixed_weapon eq 6) weapon_spawn w7_scc 1128
			if(fixed_weapon eq 7) weapon_spawn w8_mbo 1130
			if(fixed_weapon eq 8) weapon_spawn w9_scr 1141
		}
		if(arena_area eq 1) {
			if(fixed_weapon eq 0) weapon_spawn w1_tap 7000
			if(fixed_weapon eq 1) weapon_spawn w2_sap 1023
			if(fixed_weapon eq 2) weapon_spawn w3_phr 1018
			if(fixed_weapon eq 3) weapon_spawn w4_psm 1022
			if(fixed_weapon eq 4) weapon_spawn w5_sbg 1020
			if(fixed_weapon eq 5) weapon_spawn w6_vdg 7011
			if(fixed_weapon eq 6) weapon_spawn w7_scc 7038
			if(fixed_weapon eq 7) weapon_spawn w8_mbo 7059
			if(fixed_weapon eq 8) weapon_spawn w9_scr 7022
		}
		if(arena_area eq 2) {
			if(fixed_weapon eq 0) weapon_spawn w1_tap 1132
			if(fixed_weapon eq 1) weapon_spawn w2_sap 1133
			if(fixed_weapon eq 2) weapon_spawn w3_phr 1134
			if(fixed_weapon eq 3) weapon_spawn w4_psm 1135
			if(fixed_weapon eq 4) weapon_spawn w5_sbg 1137
			if(fixed_weapon eq 5) weapon_spawn w6_vdg 1138
			if(fixed_weapon eq 6) weapon_spawn w7_scc 7005
			if(fixed_weapon eq 7) weapon_spawn w8_mbo 1104
			if(fixed_weapon eq 8) weapon_spawn w9_scr 1108
		}
	}
}
func void SpawnFixedCE(void) {
	if(weapons_spawned < max_weapons) {
		weapons_spawned= weapons_spawned + 1;
		fixed_weapon= fixed_weapon + 1;
		if(fixed_weapon > fixed_weapon_max) fixed_weapon= 0;
		if(arena_area eq 0) {
			if(fixed_weapon eq 0) weapon_spawn w1_tap 1116
			if(fixed_weapon eq 1) weapon_spawn w1_tap 1118
			if(fixed_weapon eq 2) weapon_spawn w1_tap 1120
			if(fixed_weapon eq 3) weapon_spawn w1_tap 1122
			if(fixed_weapon eq 4) weapon_spawn w1_tap 1124
			if(fixed_weapon eq 5) weapon_spawn w1_tap 1126
			if(fixed_weapon eq 6) weapon_spawn w1_tap 1128
			if(fixed_weapon eq 7) weapon_spawn w1_tap 1130
			if(fixed_weapon eq 8) weapon_spawn w1_tap 1141
		}
		if(arena_area eq 1) {
			if(fixed_weapon eq 0) weapon_spawn w1_tap 7000
			if(fixed_weapon eq 1) weapon_spawn w1_tap 1023
			if(fixed_weapon eq 2) weapon_spawn w1_tap 1018
			if(fixed_weapon eq 3) weapon_spawn w1_tap 1022
			if(fixed_weapon eq 4) weapon_spawn w1_tap 1020
			if(fixed_weapon eq 5) weapon_spawn w1_tap 7011
			if(fixed_weapon eq 6) weapon_spawn w1_tap 7038
			if(fixed_weapon eq 7) weapon_spawn w1_tap 7059
			if(fixed_weapon eq 8) weapon_spawn w1_tap 7022
		}
	}
}
func void SpawnFixedVDG(void) {
	if(weapons_spawned < max_weapons) {
		weapons_spawned= weapons_spawned + 1;
		fixed_weapon= fixed_weapon + 1;
		if(fixed_weapon > fixed_weapon_max) fixed_weapon= 0;
		if(arena_area eq 0) {
			if(fixed_weapon eq 0) weapon_spawn w6_vdg 1116
			if(fixed_weapon eq 1) weapon_spawn w6_vdg 1118
			if(fixed_weapon eq 2) weapon_spawn w6_vdg 1120
			if(fixed_weapon eq 3) weapon_spawn w6_vdg 1122
			if(fixed_weapon eq 4) weapon_spawn w6_vdg 1124
			if(fixed_weapon eq 5) weapon_spawn w6_vdg 1126
			if(fixed_weapon eq 6) weapon_spawn w6_vdg 1128
			if(fixed_weapon eq 7) weapon_spawn w6_vdg 1130
			if(fixed_weapon eq 8) weapon_spawn w6_vdg 1141
		}
		if(arena_area eq 1) {
			if(fixed_weapon eq 0) weapon_spawn w6_vdg 7000
			if(fixed_weapon eq 1) weapon_spawn w6_vdg 1023
			if(fixed_weapon eq 2) weapon_spawn w6_vdg 1018
			if(fixed_weapon eq 3) weapon_spawn w6_vdg 1022
			if(fixed_weapon eq 4) weapon_spawn w6_vdg 1020
			if(fixed_weapon eq 5) weapon_spawn w6_vdg 7011
			if(fixed_weapon eq 6) weapon_spawn w6_vdg 7038
			if(fixed_weapon eq 7) weapon_spawn w6_vdg 7059
			if(fixed_weapon eq 8) weapon_spawn w6_vdg 7022
		}
	}
}