#
# airport_cutscene.bsl
#

func
airport_cs_intro
{
	#creates the cars, van
	obj_create 2 7
	fade_out 0 0 0 0
	cm_interpolate Camout01 0
	sleep f7
	
	begin_cutscene

	cm_jello 0
	#fade_out 0 0 0 0
	letterbox 1
	fade_in 120
	fork camcontrol

	sound_music_start mus_asian
	music_script_start();

	sleep 120
	#van start
	env_anim 2 7
	

	sleep 855
	chr_nocollision 0 1
	#konoko on bike start
	chr_envanim 0 IntroKonokoBox01
	chr_animate 0 KONOKOcycle_ride 500
	obj_create 10 12
	env_anim 10 12
	sleep 6
	chr_create 100 start
	chr_changeteam 100 Syndicate
	ai2_spawn IntroStriker01
	ai2_spawn IntroStriker02	
	ai2_spawn Intro_Striker_4
	ai2_spawn Intro_Comguy_1

	chr_forceholster IntroStriker02 1
	
	sleep 1
	playback 100 IntroMuro01
	playback IntroStriker01 IntroComguy01
	playback IntroStriker02 IntroStriker01
	playback Intro_Striker_4 IntroComguy01
	playback Intro_Comguy_1 IntroStriker01
	sleep 498
	#kill van object
	obj_kill 2 7
	#konoko off bike
	chr_envanim 0 IntroKonokoBox02 norotation
	chr_animate 0 KONOKOlev4_intro
	
	#sound_music_volume mus_asian .25 0.5

	cinematic_start(KONtalkangryfront, 180, 180, 15, 3, 10, false)
	sleep 60
	sound_dialog_play c04_14_02konoko
	sleep 120
	cinematic_stop (KONtalkangryfront, 16, 20)
	playback 100 IntroMuro02
	playback IntroStriker01 IntroComguy02
	playback IntroStriker02 IntroStriker02
	playback Intro_Striker_4 IntroComguy02
	playback Intro_Comguy_1 IntroStriker02
	sleep 60
	cinematic_start(MUROtalking, 180, 180, 15, 1, 15, false)
	sleep f50
	sound_dialog_play c04_14_01muro
	sound_dialog_play_block pause
	cinematic_stop (MUROtalking, 15, 30)

	sleep 20

	door_close 1
	door_lock 1

	#sound_music_volume mus_asian #0.8 2.0

	playback 0 IntroKonoko01
	chr_nocollision 0 0
	obj_kill 10 12
	env_show 10 1
	env_show 11 1
	env_show 12 1
	
	chr_forceholster IntroStriker02 0
	
	sleep 60
	set_objective_1
	set_target_1	

	save_point_1

	sleep 260
	chr_delete 100

	end_cutscene

	fork Introstriker4_low_health
	fork Introcomguy1_low_health
	fork IntroStriker01_clean
	fork IntroStriker02_clean
	fork UnlockEntrance
	fork StopAsianMusic


}

func
camcontrol
{
	cm_anim both Camout01
	sleep f80
	sound_ambient_start c03_44_03truckby
	cm_anim_block both Camout02
	sound_ambient_start c03_49_16_truck
	cm_anim_block both Camout03
	sound_ambient_start c03_49_16_motorcycle
	cm_anim_block both Camout04
	cm_wait
	sleep 2
	cm_interpolate Camout05 0
	sleep 1
	cm_interpolate Camout06 120
	sleep 300
	cm_reset
	cm_jello 1
	letterbox 0
	end_cutscene
}

func
intro_cars
{
	sleep 633
	env_anim 633 633
	env_anim 6331 6331
	sleep 14
	env_anim 647 647
	env_anim 6471 6471
	sleep 203
	sleep 110
	env_anim 960 960
	env_anim 9601 9602
	sleep 560
	obj_kill 633 633
	obj_kill 6331 6331
	obj_kill 647 647
	obj_kill 6471 6471 
	obj_kill 960 960
	obj_kill 9601 9602
}

func shinatama_comm
	{
	sleep 90
	sound_music_volume mus_asian 0.35 1.0
	sound_dialog_play c00_01_104shinatama
	cinematic_start (SHINtalking, 180, 180, 15, 1, 20, false)
	sound_dialog_play_block pause
	cinematic_stop (SHINtalking, 15, 20)
	sound_music_volume mus_asian 0.5 1.0
	}

func
Booth(string wazzzup)
{
	begin_cutscene weapon
	#make Konoko run to a flag
	ai2_takecontrol 1
	ai2_movetoflag 0 1091
	cm_interpolate BoothCamMuroWalk 240
	ai2_spawn BoothMuro01
	playback BoothMuro01 BoothMuroWalk
	#Muro just stands there and talks for a while
	sleep f180
	#Konoko looks to see Strikers
	ai2_takecontrol 0
	cm_interpolate BoothCamKonokoLook 0
	playback 0 BoothKonokoLook
	ai2_spawn BoothStriker01
	ai2_spawn BoothStriker02
	sleep 30
	playback BoothStriker01 BoothStriker01
	playback BoothStriker02 BoothStriker02
	sleep 50
	#Strikers rush in
	cm_interpolate BoothCamStrike01 0
	cm_interpolate_block BoothCamStrike02 180
	#Muro walks out the door
	fork MoveMuro
	sleep 30
	cm_interpolate BoothCamLeave01 0
	cm_interpolate_block BoothCamLeave02 300

	sleep 350

	sound_music_start mus_asian
	music_script_start
	trigvolume_enable stop_booth_music_tv 1

	cinematic_stop (MUROtalking, 15, 20)
	sleep 120
	cm_reset
	#fork FixDoors
	fork CutsceneLock
	
	particle door2_locklight01 do stop
	particle door7_locklight01 do stop
	door_lock 7
	set_target_blank

	chr_delete TerminalTwo_Striker_1
	chr_delete TerminalTwo_Striker_2
	chr_delete Tarmac_Striker_2
	chr_delete Tarmac_Striker_4

	end_cutscene
	fork MoveMuro
	fork BoothStriker1_low_health
	fork BoothStriker2_low_health
}

func void stop_booth_music(string who)
{
	sound_music_stop mus_asian
}

func
outro(string wazzup)
{
	begin_cutscene
	#cm_interpolate OutroCam01 0
	#playback 0 OutroKonoko
	#sleep 400
	fade_out 0 0 0 60
	sleep f120
	win
}

func void ActivateCS(string ai_name)
{
	chr_wait_health Repair_Striker_1 0
	chr_wait_health Repair_Striker_2 0
	chr_wait_health Repair_Comguy_1 0
	chr_wait_health Repair_Comguy_2 0
	chr_wait_health BoothStriker01 0
	chr_wait_health BoothStriker02 0

	fork Muro_Enters
}

func void Muro_Enters(string ai_name)
{

	cm_interpolate ambush2 0
	
	sleep 100

	playback BoothMuro01 OutroKonoko
	
	#chr_lock_active BoothMuro01

	dmsg "Muro and his strikers (strikers teleport here) is coming to get you! Please wait..."

	###Striker Scene###


	##Open The Booth Doors##

	door_unlock 8
	door_unlock 9

	door_lock 10
	door_lock 11

	door_open 8
	door_open 9

	door_jam 8
	door_jam 9

	##End of Opening Booth Doors##

	ai2_spawn finalam_striker_1 
	ai2_spawn finalam_striker_2
	
	playback finalam_striker_1 BoothStriker01
	playback finalam_striker_2 BoothStriker02
	sleep 50
	#Strikers rush in
	cm_interpolate BoothCamStrike01 0
	cm_interpolate_block BoothCamStrike02 180

	sleep 200

	chr_giveweapon finalam_striker_1 w2_sap
	chr_giveweapon finalam_striker_2 w2_sap

	sleep 200

	ai2_setmovementmode finalam_striker_1 run
	ai2_setmovementmode finalam_striker_2 run

	ai2_movetoflag finalam_striker_1 7060
	ai2_movetoflag finalam_striker_2 7060

	sleep 150

	###Actual Cutscene Starts Here###

	begin_cutscene

	sound_music_start mus_fitec_hd
	music_script_start
	cm_interpolate ambush2 0
	cm_interpolate_block ambush3 800

	door_unlock 14
	door_open 14
	door_jam 14

	sleep 100

	ai2_setmovementmode BoothMuro01 walk
	ai2_movetoflag BoothMuro01 7030

	sleep 200

	ai2_lookatchar BoothMuro01 0
	ai2_lookatchar 0 BoothMuro01

	chr_set_health BoothMuro01 270 
	chr_boss_shield BoothMuro01

	sleep 100

	fork MoveMuro2

	sleep 700

	#message_remove

	end_cutscene
	cm_reset

	ai2_passive BoothMuro01 0
	ai2_attack BoothMuro01 0
	ai2_makeignoreplayer BoothMuro01 0
	ai2_setalert BoothMuro01 high

	sleep 200

	door_close 14
	door_lock 14

	chr_teleport finalam_striker_1 7060
	chr_teleport finalam_striker_2 7060

	fork MuroDeath

}

func void MuroDeath(string ai_name)
{
	chr_wait_health BoothMuro01 0
	
	sleep 20

	sound_music_stop mus_fitec_hd
	
	dmsg "Muro's finally dead. His Chrysalis can no longer fix his already badly damaged organs! Hurrah!"

	sleep 200

	win
}



