#
# warehouse_main.bsl
#

var int my_save_point;

func void main(void)
{
	env_show 2010 0
	chr_inv_reset 0
	ui_suppress_prompt=1
	gl_fog_blue=.15
	gl_fog_red=.15
	gl_fog_green=.15
	gl_fog_start=.99
	gs_farclipplane_set 5000
	obj_create 20 20

	if(save_point eq 0)
	{
	fork Begin
	}

	if(save_point eq 1)
	{ 
	fork Warehouse
	}

	if(save_point eq 2)
	{
	fork Warehouse
	}

	if(save_point eq 3)
	{
	fork Overrun
	}

	if(save_point eq 4)
	{
	fork Boss
	}

	if(save_point eq 5)
	{
	fork Extra
	}



}

func Begin {
#fast_mode= 1
	sound_music_start mus_chase	
	chr_teleport 0 7010
	cm_orbit 0.7
	ai2_takecontrol 1
	sleep 100
	cinematic_start (GRIFnametag, 180, 180, 15, 1, 20, false)
	dmsg "[b.GRIFFIN: Welcome Back. This is an Extensive Training Program Used by Many of our Elites]"
	sleep 500
	message_remove
	dmsg "[b.You Will be Pitted Against Drones Which are Designed Specifically to Test Your Abilities.]"
	sleep 500
	message_remove
	dmsg "[b.Good Luck Konoko. Teleporting Drones In.]"
	sleep 500
	message_remove
	cm_reset
	cinematic_stop (GRIFnametag, 15, 20)
	fade_out 3 2 5 50
	chr_animate 0 KONOKOpowerup
	fade_in 80
	ai2_takecontrol 0
#fast_mode= 0
ai2_spawn demo1
chr_changeteam demo1 Syndicate
chr_teleport(demo1, 7007);
ai2_spawn demo2
chr_changeteam demo2 Syndicate
chr_teleport demo2 7008
ai2_spawn dum_train_block
chr_teleport(dum_train_block, 7009);
dmsg "[b. Fight!]"
chr_wait_health demo1 0
chr_wait_health demo2 0
chr_wait_health dum_train_block 0

fade_out 3 2 5 50
fade_in 80
dmsg  "[b. Drone Wave 2]"
ai2_spawn demo1 force
ai2_spawn demo2 force
ai2_spawn dum_train_block force
chr_changeteam demo1 Syndicate
chr_changeteam demo2 Syndicate
chr_teleport(demo1, 7007); 
chr_teleport(demo2, 7008);
chr_teleport(dum_train_block, 7009);
chr_wait_health(demo1, 0);
chr_wait_health(demo2, 0);
chr_wait_health(dum_train_block, 0);
fork Intruder
}

func Intruder {
sound_music_stop mus_chase
sound_ambient_start alarm_loop
dmsg "[r.WARNING]"
dmsg "[r.SECURITY BREACHED]"
sleep 100
cinematic_start (GRIFnametag, 180, 180, 15, 1, 20, false)
dmsg "[b.GRIFFIN: This is BAD! Syndicate Troops Have Breached Our Training Facility!]"
sleep 400
message_remove
dmsg "[b. They're Teleporting In RIGHT NOW! DO NOT ENGAGE!]"
sleep 400
message_remove
cinematic_stop (GRIFnametag, 15, 20)
sleep 40
cinematic_start (KONintense, 180, 180, 20, 9, 20, true)
dmsg "[r.KONOKO: Looks Like This Training Will be Put to the Test Sooner Than I Expected]"
sleep 300
message_remove
dmsg "[r.Bring 'em On]"
sleep 10
cinematic_stop (KONintense, 20, 20)
sleep 200
fade_out 3 2 5 50
fade_in 80

sound_ambient_stop alarm_loop
sound_music_start mus_amasian
ai2_spawn Mid_Thug_1
chr_teleport Mid_Thug_1 7007
ai2_spawn Mid_Thug_2
chr_teleport Mid_Thug_2 7008
ai2_spawn Top_Thug_3
chr_teleport Top_Thug_3 7009
ai2_spawn Final_Thug_2
chr_teleport Final_Thug_2 7010
ai2_spawn Bay2_Thug_2
chr_givepowerup Bay2_Thug_2 ammo 30
chr_teleport Bay2_Thug_2 7045
chr_wait_health(Mid_Thug_1, 0);
chr_wait_health(Mid_Thug_2, 0);
chr_wait_health(Top_Thug_3, 0);
chr_wait_health(Final_Thug_2, 0);
chr_wait_health(Bay2_Thug_2, 0);

sleep 500
fade_out 3 2 5 50
fade_in 80
ai2_spawn Train_TD_1
chr_teleport Train_TD_1 7007
chr_changeteam Train_TD_1 Syndicate
ai2_dopath Train_TD_1 Mid2_Striker_1
ai2_setjobstate Train_TD_1
ai2_passive Train_TD_1 0
ai2_spawn Train_TD_2
chr_teleport Train_TD_2 7010
chr_changeteam Train_TD_2 Syndicate
ai2_dopath Train_TD_2 Mid2_Striker_1
ai2_setjobstate Train_TD_2
ai2_passive Train_TD_2 0
ai2_spawn Top_Striker_1
chr_teleport Top_Striker_1 7008
ai2_spawn Top_Comguy_1
chr_teleport Top_Comguy_1 7009
chr_wait_health(Train_TD_1, 0);
chr_wait_health(Train_TD_2, 0);
chr_wait_health(Top_Striker_1, 0);
chr_wait_health(Top_Comguy_1, 0);

sleep 500
fade_out 3 2 5 50
fade_in 80

ai2_spawn Train_TD_3
chr_changeteam Train_TD_3 Syndicate
ai2_dopath Train_TD_3 Mid2_Striker_1
ai2_setjobstate Train_TD_3
ai2_passive Train_TD_3 0
chr_teleport Train_TD_3 7010
chr_giveweapon Train_TD_3 w11_ba1
chr_givepowerup Train_TD_3 shield
chr_boss_shield Train_TD_3
chr_unstoppable Train_TD_3 1

chr_wait_health Train_TD_3 9950
chr_unstoppable Train_TD_3 0
chr_set_health Train_TD_3 500

chr_wait_health Train_TD_3 250
chr_animate Train_TD_3 KONOKOpowerup
fade_out 3 2 5 50
fade_in 10
sleep 10
fade_out 3 2 5 50
fade_in 10
sleep 10
fade_out 3 2 5 50
fade_in 10
sleep 10
fade_out 3 2 5 50
fade_in 10
sleep 10
fade_out 3 2 5 50
fade_in 10
sleep 10
fade_out 3 2 5 50
fade_in 10
sleep 10
fade_out 3 2 5 50
fade_in 10
sleep 10
fade_out 3 2 5 50
fade_in 10
sleep 10
fade_out 3 2 5 50
fade_in 10
sleep 10
fade_out 3 2 5 50
fade_in 10
sleep 10
fade_out 3 2 5 50
fade_in 10
sleep 10
fade_out 3 2 5 50
fade_in 10
sleep 10
fade_out 3 2 5 50
fade_in 10
sleep 10
fade_out 3 2 5 50
fade_in 10
sleep 10
fade_out 3 2 5 50
fade_in 10
playback Train_TD_3 KonokoSet
chr_set_health Train_TD_3 10025
chr_giveweapon Train_TD_3 w11_ba1
sleep 60

fork Strikers
}

func Strikers {

fade_out 3 2 5 50
fade_in 10
ai2_spawn WH_Striker_D
chr_teleport WH_Striker_D 7045
ai2_passive WH_Striker_D 0
ai2_dopath WH_Striker_D WH_Striker_D
ai2_setjobstate WH_Striker_D
chr_givepowerup WH_Striker_D cell 30
ai2_spawn Alarm_Bay4_Striker_2
ai2_spawn Bay6_Striker_1
chr_teleport Alarm_Bay4_Striker_2 7007
chr_teleport Bay6_Striker_1 7008
chr_giveweapon Alarm_Bay4_Striker_2 w7_scc
chr_giveweapon Bay6_Striker_1 w7_scc 
ai2_spawn WH_Striker_C
chr_teleport WH_Striker_C 7009
chr_givepowerup WH_Striker_C ammo 60

chr_wait_health WH_Striker_D 0
chr_wait_health Alarm_Bay4_Striker_2 0
chr_wait_health Bay6_Striker_1 0
chr_wait_health WH_Striker_C 0

chr_teleport Train_TD_3 7010
chr_unstoppable Train_TD_3 1

chr_wait_health Train_TD_3 9950
chr_unstoppable Train_TD_3 0
chr_set_health Train_TD_3 5000

chr_wait_health Train_TD_3 4750
chr_set_health Train_TD_3 2000
chr_wait_health Train_TD_3 1750
chr_set_health Train_TD_3 500
chr_wait_health Train_TD_3 250
chr_set_health Train_TD_3 10

chr_wait_health Train_TD_3 0
fade_out 3 2 5 50
fade_in 10
chr_delete Train_TD_3

fork Betrayers
}

func Betrayers {
cinematic_start (GRIFnametag, 180, 180, 15, 1, 20, false)
dmsg "[b.GRIFFIN: You seem to have handled this problem quite well. I commemorate you]"
sleep 400
message_remove
dmsg "[b. We have captured the thug who teleported away, but you gave him such a beating as he lost his memory]"
sleep 400
message_remove
dmsg "[b. But, you have disobeyed a direct order. New policy states that you now must be terminated]"
sleep 300
cinematic_stop (GRIFnametag, 15, 20)
sleep 40
cinematic_start (KONintense, 180, 180, 20, 9, 20, true)
dmsg "[r.KONOKO: This is crazy!]"
sleep 200
message_remove
cinematic_stop (KONintense, 20, 20)
sleep 40
cinematic_start (GRIFnametag, 180, 180, 15, 1, 20, false)
dmsg "[b. Possibly, but you are dangerous. You'll must be taken in]"
sleep 250
cinematic_stop (GRIFnametag, 15, 20)
sleep 40
cinematic_start (KONintense, 180, 180, 20, 9, 20, true)
dmsg "[r. Bring it on]"
sleep 100
chr_animate 0 KONOKOpowerup
message_remove
cinematic_stop (KONintense, 20, 20)
sleep 10 
chr_set_health 0 400

fade_out 3 2 5 50
fade_in 10
ai2_spawn OutroTCTF01
ai2_spawn OutroTCTF02
ai2_spawn OutroTCTF03
ai2_spawn LoseTCTF01
chr_teleport OutroTCTF01 7007
chr_teleport OutroTCTF02 7008
chr_teleport OutroTCTF03 7009
chr_teleport LoseTCTF01 7010


cinematic_start (TCTFtalking, 180, 180, 19, 7, 20, false)
dmsg "[y. TCTF AGENT: Surrender We Have You Surrounded]"
sleep 200
message_remove
cinematic_stop (TCTFtalking, 20, 20)

sleep 100
chr_changeteam OutroTCTF01 Syndicate
chr_changeteam OutroTCTF02 Syndicate
chr_changeteam OutroTCTF03 Syndicate
chr_changeteam LoseTCTF01 Syndicate
ai2_attack OutroTCTF01 0
ai2_attack OutroTCTF02 0
ai2_attack OutroTCTF03 0
ai2_attack LoseTCTF01 0

chr_wait_health OutroTCTF01 0
chr_wait_health OutroTCTF02 0
chr_wait_health OutroTCTF03 0
chr_wait_health LoseTCTF01 0

fade_out 3 2 5 50
fade_in 10
ai2_spawn LoseTCTF02
ai2_spawn LoseTCTF03
ai2_spawn griffin
chr_teleport LoseTCTF02 7007
chr_teleport LoseTCTF03 7008
chr_teleport griffin 7010
ai2_spawn LoseTCTF01 force
chr_teleport LoseTCTF01 7009

cinematic_start (GRIFnametag, 180, 180, 15, 1, 20, false)
dmsg "[b.GRIFFIN: Konoko, Konoko...whatever shall we do with you?]"
sleep 200
message_remove
dmsg "[b. Maybe we should KILL YOU]"
sleep 200
message_remove
cinematic_stop (GRIFnametag, 15, 20)
sleep 40
cinematic_start (KONintense, 180, 180, 20, 9, 20, true)
dmsg "[r.KONOKO: Just try it]"
sleep 200
message_remove
cinematic_stop (KONintense, 20, 20)
sleep 40
cinematic_start (GRIFnametag, 180, 180, 15, 1, 20, false)
dmsg "[b. Your own undoing]"
sleep 200
message_remove
cinematic_stop (GRIFnametag, 15, 20)

fade_out 3 2 5 50
chr_teleport LoseTCTF01 7006
fade_in 10
sleep 100
fade_out 3 2 5 50
chr_teleport LoseTCTF02 7038
fade_in 10
sleep 100
fade_out 3 2 5 50
chr_teleport LoseTCTF03 7035
fade_in 10

cinematic_start (GRIFnametag, 180, 180, 15, 1, 20, false)
dmsg "[b. I'll be waiting]"
sleep 200
fade_out 3 2 5 50
chr_teleport griffin 7014
fade_in 10
message_remove
cinematic_stop (GRIFnametag, 15, 20)
sleep 500

fork last_stand
}

func last_stand {
chr_animate 0 KONOKOpowerup
sleep 200
fade_out 3 2 5 50
chr_teleport 0 7034
fade_in 10

chr_changeteam LoseTCTF01 Syndicate
chr_changeteam LoseTCTF02 Syndicate
chr_changeteam LoseTCTF03 Syndicate
chr_changeteam griffin Syndicate
chr_giveweapon griffin w3_phr
chr_givepowerup griffin cell 30
ai2_attack LoseTCTF01 0
ai2_attack LoseTCTF02 0
ai2_attack LoseTCTF03 0
ai2_attack griffin 0

chr_wait_health griffin 0
chr_animate 0 KONOKOpowerup

fade_out 3 2 5 50
fade_in 10
sleep 10
chr_set_health 0 900
ai2_spawn kerr
chr_teleport kerr 7034


cinematic_start (KONintense, 180, 180, 20, 9, 20, true)
dmsg "[r.KONOKO: Uncle. What are you doing here?]"
sleep 400
message_remove
dmsg "[r. I killed Griffin. If need be, I'll kill you too.]"
sleep 400
message_remove
cinematic_stop (KONintense, 20, 20)
sleep 40
cinematic_start (KERRnametagM, 180, 180, 16, 3, 20, true)
dmsg "[g.KERR: Not to worry. I'm not here to fight.]"
sleep 400
message_remove
dmsg "[g. I merely came to....][b. KILL YOU]"
chr_delete kerr
ai2_spawn griffin
chr_teleport griffin 7034
cinematic_start (GRIFnametag, 180, 180, 16, 3, 20, true)
sleep 400
message_remove
dmsg "[b. I knew you would have thought you killed me if you killed a painted drone]"
sleep 400
message_remove
dmsg "[b. So I made one, Sent it into the track, and teleported away.]" 
sleep 400
message_remove
cinematic_stop (KERRnametagM, 16, 20)
cinematic_stop (GRIFnametag, 16, 20)

chr_giveweapon griffin w9_scr
chr_changeteam griffin Syndicate
ai2_attack griffin 0

chr_wait_health griffin 0

fork Warehouse
}

func Warehouse {
save_game 2 autosave
fade_out 0 0 0 120
sleep 100
splash_screen warehouse_splash_screen
sleep 250
fade_in 0 0 0 0

door_unlock 48
particle bigdoor_locklight02 do start
sleep 21
cm_interpolate_block OutroCam08 500
ai2_spawn Bay6_Striker_1b
ai2_spawn ambush_striker
ai2_spawn Alarm_Bay4_Striker_1
chr_giveweapon Bay6_Striker_1b w3_phr
chr_giveweapon ambush_striker w7_scc
playback Bay6_Striker_1b OutroTCTF01
playback ambush_striker OutroTCTF02
playback Alarm_Bay4_Striker_1 OutroTCTF03

sleep 100
playback 0 OutroTCTF01
sleep 200
cm_reset

chr_wait_health Bay6_Striker_1b 0
chr_wait_health ambush_striker 0 
chr_wait_health Alarm_Bay4_Striker_1 0

ai2_spawn A_t47
ai2_spawn A_t48
ai2_spawn A_t50
ai2_spawn demo3

playback A_t47 OutroTCTF01
playback A_t48 OutroTCTF02
playback A_t50 OutroTCTF03
sleep 100
playback demo3 OutroTCTF01
sleep 500
chr_changeteam demo3 Syndicate

chr_wait_health A_t47 0
chr_wait_health A_t48 0
chr_wait_health A_t50 0
chr_wait_health demo3 0

ai2_spawn Bay4_Comguy_1
ai2_spawn Bay6_Neutral_1
ai2_spawn Bay6_Neutral_1b
ai2_noncombatant Bay6_Neutral_1 0
ai2_noncombatant Bay6_Neutral_1b 0
chr_changeteam Bay6_Neutral_1 Syndicate
chr_changeteam Bay6_Neutral_1b Syndicate

playback Bay6_Neutral_1 OutroTCTF01
playback Bay6_Neutral_1b OutroTCTF02
playback Bay4_Comguy_1 OutroTCTF03

chr_wait_health Bay6_Neutral_1 0
chr_wait_health Bay6_Neutral_1b 0
chr_wait_health Bay4_Comguy_1 0

fork Overrun
save_game 3 autosave
}

func Overrun {
fade_out 3 2 5 50
fade_in 50
chr_teleport 0 7045
dmsg "[o.The Training Facility Has Been Overrun By Syndicate Forces]"
dmsg "[o.Find And Kill All Enemies]"

ai2_spawn ambush_striker force
ai2_spawn secret2
ai2_spawn Mid2_Striker_1
ai2_spawn Mid2_Striker_2
ai2_spawn Top_Thug_5
ai2_spawn WH_Striker_B
ai2_spawn Bay6_Striker_1b force

ai2_spawn guard1
chr_changeteam guard1 Syndicate
ai2_spawn Bay5_Thug_2
ai2_spawn Bay5_Thug_1
ai2_spawn Bay_Thug_1
ai2_spawn WH_Thug_A
ai2_spawn Final_Thug_1
ai2_spawn Final_Thug_5
ai2_spawn Final_Thug_3
ai2_spawn Top_Striker_1 force
ai2_spawn Top_Comguy_1 force

chr_teleport ambush_striker 7007
chr_teleport secret2 7010
chr_teleport Mid2_Striker_1 7013
chr_teleport Mid2_Striker_2 7023
chr_teleport Top_Thug_5 7009
chr_teleport WH_Striker_B 7011
chr_teleport Bay6_Striker_1b 7012

door_unlock 100
door_unlock 101
door_unlock 102
sleep 100
dmsg "[o.Find and Activate the Facility's Auto Defense Mechanism]"
dmsg "[o.Or the Syndicate Will Teleport in En Masse]"
}

func void console_flash(string ai_name)
{

ai2_takecontrol 1
ai2_allpassive 1
dmsg "[o.Training Facility Command Entry Node Activated...]"
sleep 300
chr_animate 0 COMGUYlev10_console
dmsg "[o.Enter Code: Apocalypse]"
sleep 300
chr_animate 0 COMGUYlev10_console
dmsg "[o.Confirmed]"
sleep 100
dmsg "[b.Apocalyse Teleportation Jammer Mechanism Control Panel]"
sleep 100
chr_animate 0 COMGUYlev10_console
dmsg "[o.Enter Command: Set Radius]"
sleep 300
chr_animate 0 COMGUYlev10_console
dmsg "[o.Set Radius:][y.1 km] [b.2 km] [y.3 km] [y.4 km]"
sleep 500
chr_animate 0 COMGUYlev10_console
dmsg "[o.Command Complete: Set Radius to 2 km]"
sleep 100
dmsg "[o.Enter Command: Activate]"
sleep 300
chr_animate 0 COMGUYlev10_console
dmsg "[o.Command Set: Activate Jammer]"
sleep 500
dmsg "[o.SYSTEM ACTIVE]"
ai2_takecontrol 0
ai2_allpassive 0

fork Squad
}

func Squad {

sound_music_start mus_ambgrv1

chr_teleport guard1 7008
chr_set_health guard1 2222
chr_teleport Bay5_Thug_2 7045
chr_teleport Bay5_Thug_1 7023
chr_teleport Bay_Thug_1 7009
chr_teleport WH_Thug_A 7013
chr_teleport Final_Thug_1 7012
chr_teleport Final_Thug_3 7010
chr_teleport Final_Thug_5 7013
chr_teleport Top_Striker_1 7007
chr_teleport Top_Comguy_1 7013

ai2_spawn dum_train_block force
ai2_spawn dum_train_block force
chr_teleport dum_train_block 7042

sleep 500
dmsg "[o.Kill all Remaining Syndicate Troops]"

chr_wait_health guard1 0

fork roof
}

func roof {
chr_animate 0 KONOKOpowerup
sleep 100
fade_out 3 2 5 50
fade_in 50
chr_teleport 0 35
dmsg "[o.The Chrysallis allows you to teleport, even with the Jammer on!]"
ai2_spawn Alarm_Bay4_Striker_2
ai2_spawn Bay6_Striker_1
chr_teleport Alarm_Bay4_Striker_2 40
chr_teleport Bay6_Striker_1 40
chr_giveweapon Alarm_Bay4_Striker_2 w5_sbg
chr_giveweapon Bay6_Striker_1 w5_sbg
chr_givepowerup Alarm_Bay4_Striker_2 ammo 40
chr_givepowerup Bay6_Striker_1 ammo 40
chr_set_health Alarm_Bay4_Striker_2 880
chr_set_health Bay6_Striker_1 880

chr_wait_health Alarm_Bay4_Striker_2 0
chr_wait_health Bay6_Striker_1 0

chr_animate 0 KONOKOpowerup
sleep 100
fork Drones
save_game 3 autosave
}

func Drones {
fade_out 3 2 5 50
fade_in 50
chr_teleport 0 7011

dmsg "[o.Uh...the Jammer is Interfering with your teleportations!]"
door_lock 100
door_lock 101
door_lock 102
ai2_spawn dum_train_block force
ai2_spawn dum_train_block force
ai2_spawn dum_train_block force
ai2_spawn dum_train_block force
ai2_spawn dum_train_block force
ai2_spawn dum_train_block force
ai2_spawn dum_train_block force

timer_start 180 Boss
}

func Boss {
chr_animate 0 KONOKOendpowerup
fade_out 3 2 5 50
fade_in 50
chr_set_health 0 9000
chr_teleport 0 7031

ai2_spawn secret2
ai2_spawn secret2 force
chr_teleport secret2 7031
chr_set_health secret2 8000
chr_givepowerup secret2 shield -1
chr_boss_shield secret2
chr_givepowerup secret2 invis -1

ai2_spawn Bay6_Striker_1
ai2_spawn Bay6_Striker_1 force
chr_teleport Bay6_Striker_1 7031
chr_set_health Bay6_Striker_1 8000
chr_givepowerup Bay6_Striker_1 shield -1
chr_givepowerup Bay6_Striker_1 invis -1

chr_wait_health Bay6_Striker_1 0
chr_wait_health secret2 0

fork Final
}


func Final {
cm_interpolate KonCamFoot01 0
fade_out 3 2 5 50
sleep 50
sound_impulse_play glass_big1
sound_impulse_play glass_big2
sleep 300
win
}









func Extra {
ai2_spawn griffin
chr_teleport 0 7010
ai2_takecontrol 1
sleep 10
ai2_lookatchar 0 griffin
ai2_lookatchar griffin 0
chr_teleport griffin 7045
chr_giveweapon griffin w1_tap
chr_givepowerup griffin ammo 90
chr_invincible griffin 1

dmsg "[b.GRIFFIN: Go Away. I'm Practicing My Aim. Load Another Save Point Before I Practice On You.]"
sleep 1000
dmsg "[b.GRIFFIN: Persistent? Heh?]"
dmsg "[b. Lets see how you like to be filled with HOLES!]"

chr_changeteam 0 Syndicate
chr_set_health 0 1
ai2_attack griffin 0
}

func void you_lose(void)
{
fade_out 0 0 0 120
sleep 120
lose
}





