#
# DG's OniDemo Scripts
# This script was edited by Dead Glory
# Homesite: dg.rules.it
#
# For updates and more scripts cheats etc visit Oni Res - oni.bungie.org/res
#

func void cheater(void)
{
	invincible=1
	omnipotent=1
	lock_keys keys_all
	chr_teleport 0 7023
}
###################################
# variables used in train2 scipts #
###################################

#used to see if PPK combo was successful
var int combo_did;

#used to determine when to activate or deactivate blocking drone, current script comments out the usefulness of this variable
var int count_block;

#determines if reload in ballistics or cell
var int reload=0;

#makes sure reloading cells doesn't play before player has even picked up the rifle
var int droid_active;

#sees if you already reloaded ballistics ammo before the system had a chance to prompt you to do so
var int already_reloaded;

#sees if you already reloaded cell ammo before system prompted you to do so.
var int already_reloaded2;

#counts number of reload prompts necessary, if you reloaded more than one time, you lose rating points
var int had_to_reload;

#determines when inside the target shooting function
var int inside_target_function;

#determines when inside ammo reload function
var int inside_ammo_function = 0;

#determines when not to display block droid message
var int block_off;

################################
# fight training scripts below #
################################

#########################
# punch and kick script #
#########################
func void train_fighting(string ai_name)
{
	how_far_along = 4;
	music_stop
	particle obj3 kill
	particle obj4 kill	
	trig_deactivate 1
	trig_deactivate 2
	trig_deactivate 3
	message_remove c01_50_23
	message_remove jump_encourage
	message_remove jump_encourage2

	if (how_far_along eq 4)
	{
#		proceed to the next room
		sound_dialog_play_block c00_01_71shinatama
		ai2_spawn dum_hit_flash
		chr_lock_active dum_hit_flash
		chr_death_lock dum_hit_flash 1
		door_unlock 99
		particle door2_locklight02 do start
		particle door2b_locklight02 do start
	}
	
}

##################################
# train player about hit flashes #
##################################
func void train_hit_flash(string ai_name)
{
	ai2_spawn dum_train_throw
	chr_lock_active dum_train_throw
	chr_death_lock dum_train_throw 1
#	ai2_makeignoreplayer dum_train_throw 1

	door_unlock 100
	particle door3_locklight02 do start
	particle door3b_locklight02 do start
	particle steam stop
	music_train2
	how_far_along = 6;
	message_remove xspar2
	sleep 60
	message start_hit
	ai2_makeignoreplayer dum_hit_flash 1
	sleep 60
	message_remove start_hit
	sleep 60
	message goto_block 150
}
###################################
# train player to throw opponents #
###################################

func void train_throw(string ai_name)
{
	ai2_spawn dum_train_block
	door_lock 99
	particle door2_locklight02 do stop
	particle door2b_locklight02 do stop
	door_unlock 101
	particle door4_locklight02 do start
	particle door4b_locklight02 do start

	how_far_along = 7;
	sleep 60

	if (how_far_along eq 7)
	{
		chr_invincible char_0 1
		sleep 200
		message goto_block 150
	}

}

###############################
# train player to block blows #
###############################
func void train_block(string ai_name)
{
	door_lock 100
	particle door3_locklight02 do stop
	particle door3b_locklight02 do stop
	door_unlock 102
	particle door5_locklight02 do start
	particle door5b_locklight02 do start

	how_far_along = 5;

		dprint spawn_shoot
		ai2_passive dum_train_shoot 1
		ai2_passive dum_train_shoot2 1
		chr_invincible dum_train_shoot 1
		chr_invincible dum_train_shoot2 1
		console_deactivate 12

		particle door4_locklight02 do stop
		chr_delete dum_train_throw
		chr_delete dum_hit_flash
		chr_delete demo1
		chr_delete demo2
		chr_delete demo3
		if (how_far_along eq 5)
		sleep 120
	#	message_remove xdronedeactive
		ai2_makeignoreplayer dum_train_block 0
		ai2_dopath dum_train_block patrol_56b
		ai2_setjobstate dum_train_block 
		door_unlock 102
		particle door5_locklight02 do start
		message goto_shoot
		chr_inv_reset 0
		music_stop
		sleep 60
		trigvolume_enable tv75 0
		trigvolume_enable tv74 0
}



func void disable_tv46(void)
{
	message_remove c01_50_33
	trigvolume_enable trigger_volume_46 0
}

##################################
# put drones back on their spots #
##################################
func void flash_path(string ai_name)
{
	sleep 90
	ai2_dopath dum_hit_flash patrol_dum_hit_flash
}

func void throw_path(string ai_name)
{
	sleep 90
	ai2_dopath dum_train_throw patrol_train_throw2
}

func void block_path(string ai_name)
{
	if(block_off eq 0)
	{
		block_off = 1;
		message xdronedeactive 180
	}
	ai2_makeignoreplayer dum_train_block 1
	ai2_dopath dum_train_block patrol_56
	sleep 180
	block_off = 0;
}

func void block_path2(string ai_name)
{

	ai2_makeignoreplayer dum_train_block 1
	ai2_dopath dum_train_block patrol_56
}
######################################################
# regenerate first two training dummies as necessary #
######################################################

func void regen1(string ai_name)
{
	dprint regen1
	message_remove blueflash
	message_remove c01_50_37
	message_remove c01_50_38
	sleep 60
	message xregen1 180
	sleep 180
	chr_set_health dum_hit_flash 50
	ai2_dopath dum_hit_flash patrol_dum_hit_flash
	ai2_setjobstate dum_hit_flash
}

func void regen2(string ai_name)
{
	dprint regen2
	sleep 60
	message xregen1 180
	sleep 180
	chr_set_health dum_train_throw 50
	ai2_dopath dum_hit_flash patrol_train_throw2
	ai2_setjobstate dum_train_throw
}

#########################
# train player to shoot #
#########################
func void train_shoot(string ai_name)
{
	ai2_spawn dum_train_shoot
	ai2_spawn dum_train_shoot2
	chr_invincible dum_train_shoot 0
	ai2_passive dum_train_shoot 0
	ai2_dopath dum_train_shoot patrol_train_shoot
	ai2_setjobstate dum_train_shoot
	chr_invincible dum_train_shoot2 0
	ai2_passive dum_train_shoot2 0
	ai2_dopath dum_train_shoot2 patrol_train_shoot2
	ai2_setjobstate dum_train_shoot2

	door_close 102
	door_lock 102
	particle door5_locklight02 do stop
	message_remove xdronedeactive
	sleep 20
	particle g_tap1 create
	sleep 7
	weapon_spawn w2_sap 7045

	particle g_phr1 create
	sleep7
	weapon_spawn w3_phr 7042

	particle g_phr1 create
	sleep7
	weapon_spawn w4_psm 7043

	particle g_tap1 create
	sleep 7
	weapon_spawn w9_scr 7044

	particle g_tap1 create
	sleep 7
	powerup_spawn ammo 7044
	particle g_tap2 create
	sleep 7
	powerup_spawn ammo 7045

	particle g_phr1 create
	sleep 7
	powerup_spawn cell 7042
	particle g_phr2 create
	sleep 7
	powerup_spawn cell 7043

	wp_disable_fade=1
	how_far_along = 8;
	message_remove goto_shoot
	sleep 60

#	if (how_far_along eq 8)
#	{
#	approach weapons
#	trigvolume_enable tv75 1
#	trigvolume_enable tv74 1
	ui_show_element left 1
#	}
#	message_remove
	sleep 60

	console_activate 12
}

#func void targets_are_not_gone(void)
#{
	# CB: turn off the trigger volume and sleep for a second
	# so as not to cause hideous performance loss
#	trigvolume_enable tv75 0
#	sleep 60
#	trigvolume_enable tv75 1
#}

func void lastreview(string ai_name)
{
	music_stop
	particle obj_lastreview kill
	message_remove
	message_remove xlastreview
#	text_console level_1f
	dprint swing
	swing
	ui_suppress_prompt=0
} 

func void droid1_gone(string ai_name)
{
	if (how_far_along eq 8)
	{
	sound_dialog_play_block c00_01_03shinatama
	}
}

func void droid2_gone(string ai_name)
{
	if (how_far_along eq 8)
	{
	sound_dialog_play_interrupt c00_01_07shinatama
	}
}

######################################
# training scripts used in warehouse #
######################################
# note: health function 'yhealth' is in the level_script file #

func void train_fathealth(string ai_name)
{
	chr_wait_animtype char_0 Pickup_Object 
	if(trigvolume_count (80) eq 1)
	{
		sleep 90
		message xtabhypo 300
		sound_dialog_play_block c00_01_93shinatama
		sound_dialog_play_block pause
		sleep 40
		sound_dialog_play_block c00_01_94shinatama
	}
}

func void intro_enemies(string ai_name)
{
	dprint intro_enemies
	how_far_along = 11;

	music_firstfight

	if (how_far_along eq 11)
	{
		ai2_spawn Bay2_Thug_1
		ai2_spawn Bay2_Thug_2
	}

	if (how_far_along eq 11)
	{
#		enemies
		message c01_50_84 240
		sleep 360
	}
}

func void train_alarm(string ai_name)
{
	how_far_along = 13;

	if (how_far_along eq 13)
	{
	ai2_spawn Bay4_Comguy_1
#	alarm
	sleep 180
	message c01_50_88 240
	sleep 240
	}

	if (how_far_along eq 13)
	{
#	alarm
	message c01_50_89 240
	sleep 240
	}

#	if (how_far_along eq 13)
#	{
#	alarm
#	message c01_50_90 240
#	sleep 240
#	}
}

func void train_neutral(string ai_name)
{
	how_far_along = 14;
	target_set(92,15.0)
	if (how_far_along eq 14)
	{
#		neutrals
		message c01_50_91 240
		sleep 240
		sound_dialog_play_block c00_01_97shinatama
	}
}

func void train_timer(string ai_name)
{
	how_far_along = 15;

	if(how_far_along eq 15)
	{
		target_set(96,15.0)
		timer_start 180 OutroLose
		sound_dialog_play_block c00_01_95shinatama
		sleep 180
		objective_set(4)
		sound_dialog_play_block pause
		music_timer
	}

	if (how_far_along eq 15)
	{
		sleep 60
		message timer_text 300
		sleep 360
		message timer_text2 240
	}
}

############################
# warn about alarm console #
############################
func void alarm_warning(string ai_name)
{ 
	if(count_alarm eq 0)
	{
		message alarm_warn 300
	}
	count_alarm = 1;
}

func void alarm_warningb(string ai_name)
{ 
	count_alarm = 0;
}

#############################
# consoles and compass hint #
#############################
func void console_jump(string ai_name)
{
	text_console level_1g
	console_reset 18
}

func void console_escape(string ai_name)
{
	text_console level_1h
	console_reset 17
}

func void console_attack(string ai_name)
{
	text_console level_1i
	console_reset 16
}

func void console_flash(string ai_name)
{
	text_console level_1j
	console_reset 15
}

func void console_throw(string ai_name)
{
	text_console level_1k
	console_reset 14
}

func void console_block(string ai_name)
{
	text_console level_1l
	console_reset 13
}

func void t77(string ai_name)
{
	message xarrow 400
}