######################
# ONI TEAM ARENA 1.0 #
######################
# arena_teams.bsl for tctf_ii
######################
func void ArenaSetupTeams(void) {
	arena_players= 1;
	chr_unkillable(konoko, 1); chr_changeteam(konoko, Konoko);
	fork RespawnPlayer(Konoko, konoko, "[y.KONOKO]");
	sleep 100; fork AddEnemyTeam();
	sleep 50; fork AddNeutralTeam();
	sleep 50; fork AddFriendTeam();
}
func void AddFriendTeam(void) {
	AddPlayer(Konoko, partner_cop_1, "[y.Zap]"); sleep 150;
	AddPlayer(Konoko, partner_cop_2, "[b.Bolt]"); sleep 150;
	AddPlayer(Konoko, brain_commguy_1, "[g.Ampre]"); sleep 150;
	AddPlayer(Konoko, cruel_commguy_1, "[g.Ohm]"); sleep 150;
	AddPlayer(Konoko, bait_commguy_1, "[y.Volt]"); sleep 150;
	AddPlayer(Konoko, Recep, "[o.Sec]"); sleep 150;
	dmsg("[y.Electricains] team complete");
}
func void AddEnemyTeam(void) {
	AddPlayer(Syndicate, ambush_striker_3, "[b.Sewer Cleaner]"); sleep 150;
	AddPlayer(Syndicate, ambush_striker_2, "[o.Sewer Denizen]"); sleep 150;
	AddPlayer(Syndicate, hall_striker_2, "[b.Sewer Cleanser]"); sleep 150;
	AddPlayer(Syndicate, scram_striker_1, "[b.Sewer Water]"); sleep 150;
	AddPlayer(Syndicate, patrol_striker_2, "[o.Sewer Dweller]"); sleep 150;
	AddPlayer(Syndicate, patrol_striker_3, "[b.Sewer Waste]"); sleep 150;
	AddPlayer(Syndicate, patrol_striker_4, "[o.Sewer Dreg]"); sleep 150;
	AddPlayer(Syndicate, cruel_striker_1, "[g.Sewer Gunk]"); sleep 150;
	AddPlayer(Syndicate, ambush_striker_1, "[r.Sewer Gas]"); sleep 150;
	AddPlayer(Syndicate, low_striker_2, "[g.Sewer Muck]"); sleep 150;
	dmsg("[b.SEWER STUFF] team complete");
}
func void AddNeutralTeam(void) {
	AddPlayer(Neutral, hidden_sci_1, "[r.Scientist Smith]"); sleep 150;
	AddPlayer(Neutral, victim_mansci_1, "[y.Scientist Jones]"); sleep 150;
	AddPlayer(Neutral, victim_femsci_1, "[b.Scientist Jane]"); sleep 150;
	dmsg("[g.CITIZEN] team complete");
}
################################# CALLED AT EVERY FRAG
func ArenaAwareness {
	ai2_makeaware(partner_cop_1, ambush_striker_3)
	ai2_makeaware(partner_cop_2, hall_striker_2)
	ai2_makeaware(brain_commguy_1, scram_striker_1)
	ai2_makeaware(cruel_commguy_1, patrol_striker_3)
	ai2_makeaware(bait_commguy_1, cruel_striker_1)
	ai2_makeaware(Recep, low_striker_2)

	ai2_makeaware(ambush_striker_3, konoko)
	ai2_makeaware(ambush_striker_2, konoko)
	ai2_makeaware(hall_striker_2, konoko)
	ai2_makeaware(scram_striker_1, konoko)
	ai2_makeaware(patrol_striker_2, konoko)
	ai2_makeaware(patrol_striker_3, konoko)
	ai2_makeaware(patrol_striker_4, konoko)
	ai2_makeaware(cruel_striker_1, konoko)
	ai2_makeaware(ambush_striker_1, konoko)
	ai2_makeaware(low_striker_2, konoko)

	ai2_makeaware(hidden_sci_1, ambush_striker_3)
	ai2_makeaware(victim_mansci_1, patrol_striker_3)
	ai2_makeaware(victim_femsci_1, cruel_striker_1)
	ai2_makeaware(hidden_sci_1, konoko)
	ai2_makeaware(victim_mansci_1, konoko)
	ai2_makeaware(victim_femsci_1, konoko)
}
################################### USED FOR BOT SHAPESHIFTING
################ PLAYERS APPEAR IN THE ORDER THEY WERE SPAWNED
func void ArenaMenuName(void) {
	if(arena_spawn_id eq  0)
		{arena_menu_name= konoko; arena_menu_nick= "[y.KONOKO]";}
	if(arena_spawn_id eq  1)
		{arena_menu_name= ambush_striker_3; arena_menu_nick= "[b.Sewer Cleaner]";}
	if(arena_spawn_id eq  2)
		{arena_menu_name= hidden_sci_1; arena_menu_nick= "[r.Scientist Smith]";}
	if(arena_spawn_id eq  3)
		{arena_menu_name= partner_cop_1; arena_menu_nick= "[y.Zap]";}
	if(arena_spawn_id eq  4)
		{arena_menu_name= ambush_striker_2; arena_menu_nick= "[o.Sewer Denizen]";}
	if(arena_spawn_id eq  5)
		{arena_menu_name= victim_mansci_1; arena_menu_nick= "[y.Scientist Jones]";}
	if(arena_spawn_id eq  6)
		{arena_menu_name= partner_cop_2; arena_menu_nick= "[b.Bolt]";}
	if(arena_spawn_id eq  7)
		{arena_menu_name= hall_striker_2; arena_menu_nick= "[b.Sewer Cleanser]";}
	if(arena_spawn_id eq  8)
		{arena_menu_name= victim_femsci_1; arena_menu_nick= "[b.Scientist Jane]";}
	if(arena_spawn_id eq  9)
		{arena_menu_name= brain_commguy_1; arena_menu_nick= "[g.Ampre]";}
	if(arena_spawn_id eq 10)
		{arena_menu_name= scram_striker_1; arena_menu_nick= "[b.Sewer Water]";}
	if(arena_spawn_id eq 11)
		{arena_menu_name= cruel_commguy_1; arena_menu_nick= "[g.Ohm]";}
	if(arena_spawn_id eq 12)
		{arena_menu_name= patrol_striker_2; arena_menu_nick= "[o.Sewer Dweller]";}
	if(arena_spawn_id eq 13)
		{arena_menu_name= bait_commguy_1; arena_menu_nick= "[y.Volt]";}
	if(arena_spawn_id eq 14)
		{arena_menu_name= patrol_striker_3; arena_menu_nick= "[b.Sewer Waste]";}
	if(arena_spawn_id eq 15)
		{arena_menu_name= Recep; arena_menu_nick= "[o.Sec]";}
	if(arena_spawn_id eq 16)
		{arena_menu_name= patrol_striker_4; arena_menu_nick= "[o.Sewer Dreg]";}
	if(arena_spawn_id eq 17)
		{arena_menu_name= cruel_striker_1; arena_menu_nick= "[g.Sewer Gunk]";}
	if(arena_spawn_id eq 18)
		{arena_menu_name= ambush_striker_1; arena_menu_nick= "[r.Sewer Gas]";}
	if(arena_spawn_id eq 19)
		{arena_menu_name= low_striker_2; arena_menu_nick= "[g.Sewer Muck]";}
}