######################
# ONI TEAM ARENA 1.0 #
######################
# arena_teams.bsl for tctf_ii
######################
func void ArenaSetupTeams(void) {
	arena_players= 1;
	chr_unkillable(konoko, 1); chr_changeteam(konoko, Konoko);
	fork RespawnPlayer(Konoko, konoko, "[y.KONOKO]");
	sleep 100; fork AddEnemyTeam();
	sleep 50; fork AddNeutralTeam();
	sleep 50; fork AddFriendTeam();
}
func void AddFriendTeam(void) {
	AddPlayer(Konoko, flBASEMENT_guard_1, "[g.Mr. Pitiful]"); sleep 150;
	AddPlayer(Konoko, Kill_Dummy_1, "[b.BLUESMAN]"); sleep 150;
	AddPlayer(Konoko, Roof_BOSWAT_1, "Black Sheep"); sleep 150;
	AddPlayer(Konoko, secret_guard_1, "[g.LEO D.C.]"); sleep 150;
	AddPlayer(Konoko, fl1_secguard_4, "[y.Cervantes]"); sleep 150;
	AddPlayer(Konoko, flOUTSIDE_E_sniper_2, "[b.NinjaHunter]"); sleep 150;
	dmsg("[y.KONOKO'S] team complete");
}
func void AddEnemyTeam(void) {
	AddPlayer(Syndicate, WindowNinjaRun, "[b.MUKADO]"); sleep 150;
	AddPlayer(Syndicate, fl1_secguard_1, "[r.Agent Smith]"); sleep 150;
	AddPlayer(Syndicate, fl2_balcony_1, "[y.Agent Smith]"); sleep 150;
	AddPlayer(Syndicate, FaceNinja, "[o.Mr. Brown]"); sleep 150;
	AddPlayer(Syndicate, FaceNinja2, "[g.Donatello]"); sleep 150;
	AddPlayer(Syndicate, creepy_ninja_1, "[y.Rafaello]"); sleep 150;
	AddPlayer(Syndicate, flOUTSIDE_C_sniper_1, "[o.Silly Sniper]"); sleep 150;
	AddPlayer(Syndicate, flOUTSIDE_E_sniper_1, "[b.Silly Sniper]"); sleep 150;
	AddPlayer(Syndicate, creepy_ninja_3, "[y.Michaelagello]"); sleep 150;
	AddPlayer(Syndicate, creepy_ninja_4, "[y.Leonardello]"); sleep 150;
	dmsg("[b.MUKADO'S] team complete");
}
func void AddNeutralTeam(void) {
	AddPlayer(Neutral, neutral_5, "[r.Citizen Jane]"); sleep 150;
	AddPlayer(Neutral, neutral_2, "[y.Citizen Jones]"); sleep 150;
	AddPlayer(Neutral, neutral_4, "[b.Citizen Joanne]"); sleep 150;
	dmsg("[g.CITIZEN] team complete");
}
################################# CALLED AT EVERY FRAG
func ArenaAwareness {
	ai2_makeaware(flBASEMENT_guard_1, WindowNinjaRun)
	ai2_makeaware(Kill_Dummy_1, WindowNinjaRun)
	ai2_makeaware(Roof_BOSWAT_1, WindowNinjaRun)
	ai2_makeaware(secret_guard_1, WindowNinjaRun)
	ai2_makeaware(fl1_secguard_4, WindowNinjaRun)
	ai2_makeaware(flOUTSIDE_E_sniper_2, WindowNinjaRun)

	ai2_makeaware(WindowNinjaRun, konoko)
	ai2_makeaware(fl1_secguard_1, konoko)
	ai2_makeaware(fl2_balcony_1, konoko)
	ai2_makeaware(FaceNinja, konoko)
	ai2_makeaware(FaceNinja2, konoko)
	ai2_makeaware(creepy_ninja_1, konoko)
	ai2_makeaware(flOUTSIDE_C_sniper_1, konoko)
	ai2_makeaware(flOUTSIDE_E_sniper_1, konoko)
	ai2_makeaware(creepy_ninja_3, konoko)
	ai2_makeaware(creepy_ninja_4, konoko)

	ai2_makeaware(neutral_5, WindowNinjaRun)
	ai2_makeaware(neutral_2, WindowNinjaRun)
	ai2_makeaware(neutral_4, WindowNinjaRun)
	ai2_makeaware(neutral_5, konoko)
	ai2_makeaware(neutral_2, konoko)
	ai2_makeaware(neutral_4, konoko)
}
################################### USED FOR BOT SHAPESHIFTING
################ PLAYERS APPEAR IN THE ORDER THEY WERE SPAWNED
func void ArenaMenuName(void) {
	if(arena_spawn_id eq  0)
		{arena_menu_name= konoko; arena_menu_nick= "[y.KONOKO]";}
	if(arena_spawn_id eq  1)
		{arena_menu_name= neutral_5; arena_menu_nick= "[r.Citizen Jane]";}
	if(arena_spawn_id eq  2)
		{arena_menu_name= WindowNinjaRun; arena_menu_nick= "[b.MUKADO]";}
	if(arena_spawn_id eq  3)
		{arena_menu_name= flBASEMENT_guard_1; arena_menu_nick= "[g.Mr. Pitiful]";}
	if(arena_spawn_id eq  4)
		{arena_menu_name= fl1_secguard_1; arena_menu_nick= "[r.Agent Smith]";}
	if(arena_spawn_id eq  5)
		{arena_menu_name= neutral_2; arena_menu_nick= "[y.Citizen Jones]";}
	if(arena_spawn_id eq  6)
		{arena_menu_name= Kill_Dummy_1; arena_menu_nick= "[b.BLUESMAN]";}
	if(arena_spawn_id eq  7)
		{arena_menu_name= fl2_balcony_1; arena_menu_nick= "[y.Agent Smith]";}
	if(arena_spawn_id eq  8)
		{arena_menu_name= neutral_4; arena_menu_nick= "[b.Citizen Joanne]";}
	if(arena_spawn_id eq  9)
		{arena_menu_name= Roof_BOSWAT_1; arena_menu_nick= "Black Sheep";}
	if(arena_spawn_id eq 10)
		{arena_menu_name= FaceNinja; arena_menu_nick= "[o.Mr. Brown]";}
	if(arena_spawn_id eq 11)
		{arena_menu_name= secret_guard_1; arena_menu_nick= "[g.LEO D.C.]";}
	if(arena_spawn_id eq 12)
		{arena_menu_name= FaceNinja2; arena_menu_nick= "[g.Donatello]";}
	if(arena_spawn_id eq 13)
		{arena_menu_name= fl1_secguard_4; arena_menu_nick= "[y.Cervantes]";}
	if(arena_spawn_id eq 14)
		{arena_menu_name= creepy_ninja_1; arena_menu_nick= "[y.Rafaello]";}
	if(arena_spawn_id eq 15)
		{arena_menu_name= flOUTSIDE_E_sniper_2; arena_menu_nick= "[b.NinjaHunter]";}
	if(arena_spawn_id eq 16)
		{arena_menu_name= flOUTSIDE_C_sniper_1; arena_menu_nick= "[o.Silly Sniper]";}
	if(arena_spawn_id eq 17)
		{arena_menu_name= flOUTSIDE_E_sniper_1; arena_menu_nick= "[b.Silly Sniper]";}
	if(arena_spawn_id eq 18)
		{arena_menu_name= creepy_ninja_3; arena_menu_nick= "[y.Michaelagello]";}
	if(arena_spawn_id eq 19)
		{arena_menu_name= creepy_ninja_4; arena_menu_nick= "[y.Leonardello]";}
}