######################
# ONI TEAM ARENA 1.0 #
######################
# arena_weapons.bsl for Rooftops
################ WEAPON VARIABLES (CORE)
var int weapons_spawned= 0; var int can_give_weapon= 0;
var int fixed_weapon= 0; var int fixed_weapon_max;
################ MAX NUMBER OF WEAPONS (CUSTOM)
var int max_weapons= 40;
################ RESET WEAPONS (CUSTOM, CAN BE AREA-DEPENDENT)
func void ArenaResetWeapons(void) {
	weapons_spawned= 0; max_weapons= 40;
	if(arena_area eq 1) max_weapons= 20;
	if(arena_area eq 3) max_weapons= 20;
	if((save_point) > 2) max_weapons= 10;
	fixed_weapon_max= 8;
	can_give_weapon= 0;
	weapon_reset();
	if((save_point) eq 0) dmsg "No guns on this save point"	
	if((save_point) eq 1) dmsg "Guns are given at respawn"
	if((save_point) eq 2) dmsg "Guns spawn on the ground"
	if((save_point) eq 3) dmsg "CEs are given at respawn"
	if((save_point) eq 4) dmsg "CEs spawn on the ground"
}
################ MODERATOR (CUSTOM)
func void ArenaWeaponModerator(int frags) {
	if(frags eq   5) ArenaAddWeapon();
	if(frags eq  10) ArenaAddWeapon();
	if(frags eq  15) ArenaAddWeapon();
	if(frags eq  20) ArenaAddWeapon();
	if(frags eq  25) ArenaAddWeapon();
	if(frags eq  30) ArenaAddWeapon();
	if(frags eq  35) ArenaAddWeapon();
	if(frags eq  40) ArenaAddWeapon();
	if(frags eq  45) ArenaAddWeapon();
	if(frags eq  50) ArenaAddWeapon();
	if(frags eq  55) ArenaAddWeapon();
	if(frags eq  60) ArenaAddWeapon();
	if(frags eq  65) ArenaAddWeapon();
	if(frags eq  70) ArenaAddWeapon();
	if(frags eq  75) ArenaAddWeapon();
	if(frags eq  80) ArenaAddWeapon();
	if(frags eq  85) ArenaAddWeapon();
	if(frags eq  90) ArenaAddWeapon();
	if(frags eq  95) ArenaAddWeapon();
	if(frags eq 100) ArenaAddWeapon();
	if(frags eq 105) ArenaAddWeapon();
	if(frags eq 110) ArenaAddWeapon();
	if(frags eq 115) ArenaAddWeapon();
	if(frags eq 120) ArenaAddWeapon();
	if(frags eq 125) ArenaAddWeapon();
	if(frags eq 130) ArenaAddWeapon();
	if(frags eq 135) ArenaAddWeapon();
	if(frags eq 140) ArenaAddWeapon();
	if(frags eq 145) ArenaAddWeapon();
	if(frags eq 150) ArenaAddWeapon();
	if(frags eq 155) ArenaAddWeapon();
	if(frags eq 160) ArenaAddWeapon();
	if(frags eq 165) ArenaAddWeapon();
	if(frags eq 170) ArenaAddWeapon();
	if(frags eq 175) ArenaAddWeapon();
	if(frags eq 180) ArenaAddWeapon();
	if(frags eq 185) ArenaAddWeapon();
	if(frags eq 190) ArenaAddWeapon();
	if(frags eq 195) ArenaAddWeapon();
	if(frags eq 100) ArenaAddWeapon();
}
################ ADD NEW WEAPON (CORE)
func void ArenaAddWeapon(void) {
	if((save_point) eq 4) SpawnFixedPistol();
	if((save_point) eq 2) SpawnFixedWeapon();
	if((save_point) eq 1) can_give_weapon= 1;
	if((save_point) eq 3) can_give_weapon= 1;
}
######## GIVEN WEAPON (CORE)
func void GiveRandWeapon(string ai_name) {
	if(can_give_weapon eq 1 and weapons_spawned < max_weapons) {
		can_give_weapon= 0; weapons_spawned= weapons_spawned + 1;
		if((save_point) eq 3) rand_weapon_name= w1_tap;
		else RandWeapon();
		chr_giveweapon(ai_name, rand_weapon_name);
	}
}
######## FIXED WEAPON (LEVEL- AND AREA-DEPENDENT) 
func void SpawnFixedWeapon(void) {
	if(weapons_spawned < max_weapons) {
		weapons_spawned= weapons_spawned + 1;
		fixed_weapon= fixed_weapon + 1;
		if(fixed_weapon > fixed_weapon_max) fixed_weapon= 0;
		if(arena_area eq 0) {
			if(fixed_weapon eq 0) weapon_spawn w1_tap 70
			if(fixed_weapon eq 1) weapon_spawn w2_sap 71
			if(fixed_weapon eq 2) weapon_spawn w3_phr 72
			if(fixed_weapon eq 3) weapon_spawn w4_psm 74
			if(fixed_weapon eq 4) weapon_spawn w5_sbg 75
			if(fixed_weapon eq 5) weapon_spawn w6_vdg 77
			if(fixed_weapon eq 6) weapon_spawn w7_scc 105
			if(fixed_weapon eq 7) weapon_spawn w8_mbo 106
			if(fixed_weapon eq 8) weapon_spawn w9_scr 7025
		}
		if(arena_area eq 1) {
			if(fixed_weapon eq 0) weapon_spawn w1_tap 9504
			if(fixed_weapon eq 1) weapon_spawn w2_sap 9505
			if(fixed_weapon eq 2) weapon_spawn w3_phr 9506
			if(fixed_weapon eq 3) weapon_spawn w4_psm 9507
			if(fixed_weapon eq 4) weapon_spawn w5_sbg 9508
			if(fixed_weapon eq 5) weapon_spawn w6_vdg 9509
			if(fixed_weapon eq 6) weapon_spawn w7_scc 9510
			if(fixed_weapon eq 7) weapon_spawn w8_mbo 9511
			if(fixed_weapon eq 8) weapon_spawn w9_scr 9512
		}
		if(arena_area eq 2) {
			if(fixed_weapon eq 0) weapon_spawn w1_tap 9
			if(fixed_weapon eq 1) weapon_spawn w2_sap 10
			if(fixed_weapon eq 2) weapon_spawn w3_phr 18
			if(fixed_weapon eq 3) weapon_spawn w4_psm 100
			if(fixed_weapon eq 4) weapon_spawn w5_sbg 123
			if(fixed_weapon eq 5) weapon_spawn w6_vdg 124
			if(fixed_weapon eq 6) weapon_spawn w7_scc 7021
			if(fixed_weapon eq 7) weapon_spawn w8_mbo 7024
			if(fixed_weapon eq 8) weapon_spawn w9_scr 7026
		}
		if(arena_area eq 3) {
			if(fixed_weapon eq 0) weapon_spawn w1_tap 88
			if(fixed_weapon eq 1) weapon_spawn w2_sap 89
			if(fixed_weapon eq 2) weapon_spawn w3_phr 90
			if(fixed_weapon eq 3) weapon_spawn w4_psm 91
			if(fixed_weapon eq 4) weapon_spawn w5_sbg 94
			if(fixed_weapon eq 5) weapon_spawn w6_vdg 97
			if(fixed_weapon eq 6) weapon_spawn w7_scc 98
			if(fixed_weapon eq 7) weapon_spawn w8_mbo 99
			if(fixed_weapon eq 8) weapon_spawn w9_scr 101
		}
	}
}
func void SpawnFixedPistol(void) {
	if(weapons_spawned < max_weapons) {
		weapons_spawned= weapons_spawned + 1;
		fixed_weapon= fixed_weapon + 1;
		if(fixed_weapon > fixed_weapon_max) fixed_weapon= 0;
		if(arena_area eq 0) {
			if(fixed_weapon eq 0) weapon_spawn w1_tap 70
			if(fixed_weapon eq 1) weapon_spawn w1_tap 71
			if(fixed_weapon eq 2) weapon_spawn w1_tap 72
			if(fixed_weapon eq 3) weapon_spawn w1_tap 74
			if(fixed_weapon eq 4) weapon_spawn w1_tap 75
			if(fixed_weapon eq 5) weapon_spawn w1_tap 77
			if(fixed_weapon eq 6) weapon_spawn w1_tap 105
			if(fixed_weapon eq 7) weapon_spawn w1_tap 106
			if(fixed_weapon eq 8) weapon_spawn w1_tap 7025
		}
		if(arena_area eq 1) {
			if(fixed_weapon eq 0) weapon_spawn w1_tap 9504
			if(fixed_weapon eq 1) weapon_spawn w1_tap 9505
			if(fixed_weapon eq 2) weapon_spawn w1_tap 9506
			if(fixed_weapon eq 3) weapon_spawn w1_tap 9507
			if(fixed_weapon eq 4) weapon_spawn w1_tap 9508
			if(fixed_weapon eq 5) weapon_spawn w1_tap 9509
			if(fixed_weapon eq 6) weapon_spawn w1_tap 9510
			if(fixed_weapon eq 7) weapon_spawn w1_tap 9511
			if(fixed_weapon eq 8) weapon_spawn w1_tap 9512
		}
		if(arena_area eq 2) {
			if(fixed_weapon eq 0) weapon_spawn w1_tap 9
			if(fixed_weapon eq 1) weapon_spawn w1_tap 10
			if(fixed_weapon eq 2) weapon_spawn w1_tap 18
			if(fixed_weapon eq 3) weapon_spawn w1_tap 100
			if(fixed_weapon eq 4) weapon_spawn w1_tap 123
			if(fixed_weapon eq 5) weapon_spawn w1_tap 124
			if(fixed_weapon eq 6) weapon_spawn w1_tap 7021
			if(fixed_weapon eq 7) weapon_spawn w1_tap 7024
			if(fixed_weapon eq 8) weapon_spawn w1_tap 7026
		}
		if(arena_area eq 3) {
			if(fixed_weapon eq 0) weapon_spawn w1_tap 88
			if(fixed_weapon eq 1) weapon_spawn w1_tap 89
			if(fixed_weapon eq 2) weapon_spawn w1_tap 90
			if(fixed_weapon eq 3) weapon_spawn w1_tap 91
			if(fixed_weapon eq 4) weapon_spawn w1_tap 94
			if(fixed_weapon eq 5) weapon_spawn w1_tap 97
			if(fixed_weapon eq 6) weapon_spawn w1_tap 98
			if(fixed_weapon eq 7) weapon_spawn w1_tap 99
			if(fixed_weapon eq 8) weapon_spawn w1_tap 101
		}
	}
}