######################
# ONI TEAM ARENA 1.0 #
######################
# arena_teams.bsl for tctf_ii
######################
func void ArenaSetupTeams(void) {
	arena_players= 1;
	chr_unkillable(char_0, 1); chr_changeteam(char_0, Konoko);
	fork RespawnPlayer(Konoko, char_0, "[y.KONOKO]");
	sleep 100; fork AddEnemyTeam();
	sleep 50; fork AddNeutralTeam();
	sleep 50; fork AddFriendTeam();
}
func void AddFriendTeam(void) {
	AddPlayer(Konoko, GrifOps03, "[b.8L4CK0PS A]"); sleep 150;
	AddPlayer(Konoko, GrifOps02, "[b.8L4CK0PS B]"); sleep 150;
	AddPlayer(Konoko, GrifOps01, "[b.8L4CK0PS C]"); sleep 150;
	AddPlayer(Konoko, Griffin, "[g.GRIFFIN]"); sleep 150;
	AddPlayer(Konoko, GrifElite03, "[o.FUR13 A]"); sleep 150;
	AddPlayer(Konoko, GrifElite02, "[o.FUR13 B]"); sleep 150;
	dmsg("[r.L3375P34K3R] team complete");
}
func void AddEnemyTeam(void) {
	AddPlayer(Syndicate, muro_dummy, "[r.Sewer Mutant]"); sleep 150;
	AddPlayer(Syndicate, MutantMuro, "[r.Sewer Monster]"); sleep 150;
	AddPlayer(Syndicate, E_Nb37, "[b.Sewer Water]"); sleep 150;
	AddPlayer(Syndicate, E_Nb38, "[b.Sewer Waste]"); sleep 150;
	AddPlayer(Syndicate, C_Sb77, "[b.Sewer Cleaner]"); sleep 150;
	AddPlayer(Syndicate, C_Sb78, "[b.Sewer Cleanser]"); sleep 150;
	AddPlayer(Syndicate, F_Eb43, "[b.Sewer Patrol]"); sleep 150;
	AddPlayer(Syndicate, F_Eb44, "[b.Sewer Guard]"); sleep 150;
	AddPlayer(Syndicate, A_S1, "[y.Sewer Dweller]"); sleep 150;
	AddPlayer(Syndicate, A_S2, "[y.Sewer Denizen]"); sleep 150;
	dmsg("[b.SEWER] team complete");
}
func void AddNeutralTeam(void) {
	AddPlayer(Neutral, shooter_dummy, "[r.Worker Smith]"); sleep 150;
	AddPlayer(Neutral, B_N3, "[y.Scientist Jones]"); sleep 150;
	AddPlayer(Neutral, C_N23, "[b.Scientist Jane]"); sleep 150;
	dmsg("[g.CITIZEN] team complete");
}
################################# CALLED AT EVERY FRAG
func ArenaAwareness {
	ai2_makeaware(GrifOps03, muro_dummy)
	ai2_makeaware(GrifOps02, MutantMuro)
	ai2_makeaware(GrifOps01, muro_dummy)
	ai2_makeaware(Griffin, MutantMuro)
	ai2_makeaware(GrifElite03, muro_dummy)
	ai2_makeaware(GrifElite02, MutantMuro)

	ai2_makeaware(muro_dummy, char_0)
	ai2_makeaware(MutantMuro, Griffin)
	ai2_makeaware(E_Nb37, char_0)
	ai2_makeaware(E_Nb38, Griffin)
	ai2_makeaware(C_Sb77, char_0)
	ai2_makeaware(C_Sb78, Griffin)
	ai2_makeaware(F_Eb43, char_0)
	ai2_makeaware(F_Eb44, Griffin)
	ai2_makeaware(A_S1, char_0)
	ai2_makeaware(A_S2, Griffin)

	ai2_makeaware(shooter_dummy, MutantMuro)
	ai2_makeaware(B_N3, MutantMuro)
	ai2_makeaware(C_N23, MutantMuro)
	ai2_makeaware(shooter_dummy, char_0)
	ai2_makeaware(B_N3, char_0)
	ai2_makeaware(C_N23, char_0)
}
################################### USED FOR BOT SHAPESHIFTING
################ PLAYERS APPEAR IN THE ORDER THEY WERE SPAWNED
func void ArenaMenuName(void) {
	if(arena_spawn_id eq  0)
		{arena_menu_name= char_0; arena_menu_nick= "[y.KONOKO]";}
	if(arena_spawn_id eq  1)
		{arena_menu_name= muro_dummy; arena_menu_nick= "[r.Sewer Mutant]";}
	if(arena_spawn_id eq  2)
		{arena_menu_name= shooter_dummy; arena_menu_nick= "[r.Worker Smith]";}
	if(arena_spawn_id eq  3)
		{arena_menu_name= GrifOps03; arena_menu_nick= "[b.8L4CK0PS A]";}
	if(arena_spawn_id eq  4)
		{arena_menu_name= MutantMuro; arena_menu_nick= "[r.Sewer Monster]";}
	if(arena_spawn_id eq  5)
		{arena_menu_name= B_N3; arena_menu_nick= "[y.Scientist Jones]";}
	if(arena_spawn_id eq  6)
		{arena_menu_name= GrifOps02; arena_menu_nick= "[b.8L4CK0PS B]";}
	if(arena_spawn_id eq  7)
		{arena_menu_name= E_Nb37; arena_menu_nick= "[b.Sewer Water]";}
	if(arena_spawn_id eq  8)
		{arena_menu_name= C_N23; arena_menu_nick= "[b.Scientist Jane]";}
	if(arena_spawn_id eq  9)
		{arena_menu_name= GrifOps01; arena_menu_nick= "[b.8L4CK0PS C]";}
	if(arena_spawn_id eq 10)
		{arena_menu_name= E_Nb38; arena_menu_nick= "[b.Sewer Water]";}
	if(arena_spawn_id eq 11)
		{arena_menu_name= Griffin; arena_menu_nick= "[g.GRIFFIN]";}
	if(arena_spawn_id eq 12)
		{arena_menu_name= C_Sb77; arena_menu_nick= "[b.Sewer Cleaner]";}
	if(arena_spawn_id eq 13)
		{arena_menu_name= GrifElite03; arena_menu_nick= "[o.FUR13 A]";}
	if(arena_spawn_id eq 14)
		{arena_menu_name= C_Sb78; arena_menu_nick= "[b.Sewer Cleanser]";}
	if(arena_spawn_id eq 15)
		{arena_menu_name= GrifElite02; arena_menu_nick= "[o.FUR13 B]";}
	if(arena_spawn_id eq 16)
		{arena_menu_name= F_Eb43; arena_menu_nick= "[b.Sewer Patrol]";}
	if(arena_spawn_id eq 17)
		{arena_menu_name= F_Eb44; arena_menu_nick= "[b.Sewer Guard]";}
	if(arena_spawn_id eq 18)
		{arena_menu_name= A_S1; arena_menu_nick= "[y.Sewer Dweller]";}
	if(arena_spawn_id eq 19)
		{arena_menu_name= A_S2; arena_menu_nick= "[y.Sewer Denizen]";}
}