######################
# ONI TEAM ARENA 1.0 #
######################
# arena_weapons.bsl for Rooftops
################ WEAPON VARIABLES (CORE)
var int weapons_spawned= 0; var int can_give_weapon= 0;
var int fixed_weapon= 0; var int fixed_weapon_max;
################ MAX NUMBER OF WEAPONS (CUSTOM)
var int max_weapons= 40;
################ RESET WEAPONS (CUSTOM, CAN BE AREA-DEPENDENT)
func void ArenaResetWeapons(void) {
	weapons_spawned= 0; max_weapons= 40;
	if(arena_area eq 1) max_weapons= 20;
	if(arena_area eq 3) max_weapons= 20;
	if((save_point) > 2) max_weapons= 10;
	fixed_weapon_max= 8;
	can_give_weapon= 0;
	weapon_reset();
	if((save_point) eq 0) dmsg "No guns on this save point"	
	if((save_point) eq 1) dmsg "Guns are given at respawn"
	if((save_point) eq 2) dmsg "Guns spawn on the ground"
	if((save_point) eq 3) dmsg "CEs are given at respawn"
	if((save_point) eq 4) dmsg "CEs spawn on the ground"
	if((save_point) >  4) dmsg "No guns on this save point"
}
################ MODERATOR (CUSTOM)
func void ArenaWeaponModerator(int frags) {
	if(frags eq   5) ArenaAddWeapon();
	if(frags eq  10) ArenaAddWeapon();
	if(frags eq  15) ArenaAddWeapon();
	if(frags eq  20) ArenaAddWeapon();
	if(frags eq  25) ArenaAddWeapon();
	if(frags eq  30) ArenaAddWeapon();
	if(frags eq  35) ArenaAddWeapon();
	if(frags eq  40) ArenaAddWeapon();
	if(frags eq  45) ArenaAddWeapon();
	if(frags eq  50) ArenaAddWeapon();
	if(frags eq  55) ArenaAddWeapon();
	if(frags eq  60) ArenaAddWeapon();
	if(frags eq  65) ArenaAddWeapon();
	if(frags eq  70) ArenaAddWeapon();
	if(frags eq  75) ArenaAddWeapon();
	if(frags eq  80) ArenaAddWeapon();
	if(frags eq  85) ArenaAddWeapon();
	if(frags eq  90) ArenaAddWeapon();
	if(frags eq  95) ArenaAddWeapon();
	if(frags eq 100) ArenaAddWeapon();
	if(frags eq 105) ArenaAddWeapon();
	if(frags eq 110) ArenaAddWeapon();
	if(frags eq 115) ArenaAddWeapon();
	if(frags eq 120) ArenaAddWeapon();
	if(frags eq 125) ArenaAddWeapon();
	if(frags eq 130) ArenaAddWeapon();
	if(frags eq 135) ArenaAddWeapon();
	if(frags eq 140) ArenaAddWeapon();
	if(frags eq 145) ArenaAddWeapon();
	if(frags eq 150) ArenaAddWeapon();
	if(frags eq 155) ArenaAddWeapon();
	if(frags eq 160) ArenaAddWeapon();
	if(frags eq 165) ArenaAddWeapon();
	if(frags eq 170) ArenaAddWeapon();
	if(frags eq 175) ArenaAddWeapon();
	if(frags eq 180) ArenaAddWeapon();
	if(frags eq 185) ArenaAddWeapon();
	if(frags eq 190) ArenaAddWeapon();
	if(frags eq 195) ArenaAddWeapon();
	if(frags eq 100) ArenaAddWeapon();
}
################ ADD NEW WEAPON (CORE)
func void ArenaAddWeapon(void) {
	if((save_point) eq 4) SpawnFixedPistol();
	if((save_point) eq 2) SpawnFixedWeapon();
	if((save_point) eq 1) can_give_weapon= 1;
	if((save_point) eq 3) can_give_weapon= 1;
}
######## GIVEN WEAPON (CORE)
func void GiveRandWeapon(string ai_name) {
	if(can_give_weapon eq 1 and weapons_spawned < max_weapons) {
		can_give_weapon= 0; weapons_spawned= weapons_spawned + 1;
		if((save_point) eq 3) rand_weapon_name= w1_tap;
		else RandWeapon();
		chr_giveweapon(ai_name, rand_weapon_name);
	}
}
######## FIXED WEAPON (LEVEL- AND AREA-DEPENDENT) 
func void SpawnFixedWeapon(void) {
	if(weapons_spawned < max_weapons) {
		weapons_spawned= weapons_spawned + 1;
		fixed_weapon= fixed_weapon + 1;
		if(fixed_weapon > fixed_weapon_max) fixed_weapon= 0;
		if(arena_area eq 0) {
			if(fixed_weapon eq 0) weapon_spawn w1_tap 100
			if(fixed_weapon eq 1) weapon_spawn w2_sap 144
			if(fixed_weapon eq 2) weapon_spawn w3_phr 149
			if(fixed_weapon eq 3) weapon_spawn w4_psm 152
			if(fixed_weapon eq 4) weapon_spawn w5_sbg 154
			if(fixed_weapon eq 5) weapon_spawn w6_vdg 156
			if(fixed_weapon eq 6) weapon_spawn w7_scc 159
			if(fixed_weapon eq 7) weapon_spawn w8_mbo 175
			if(fixed_weapon eq 8) weapon_spawn w9_scr 196
		}
		if(arena_area eq 1) {
			if(fixed_weapon eq 0) weapon_spawn w1_tap 252
			if(fixed_weapon eq 1) weapon_spawn w2_sap 253
			if(fixed_weapon eq 2) weapon_spawn w3_phr 254
			if(fixed_weapon eq 3) weapon_spawn w4_psm 255
			if(fixed_weapon eq 4) weapon_spawn w5_sbg 247
			if(fixed_weapon eq 5) weapon_spawn w6_vdg 258
			if(fixed_weapon eq 6) weapon_spawn w7_scc 551
			if(fixed_weapon eq 7) weapon_spawn w8_mbo 548
			if(fixed_weapon eq 8) weapon_spawn w9_scr 256
		}
		if(arena_area eq 2) {
			if(fixed_weapon eq 0) weapon_spawn w1_tap 512
			if(fixed_weapon eq 1) weapon_spawn w2_sap 513
			if(fixed_weapon eq 2) weapon_spawn w3_phr 514
			if(fixed_weapon eq 3) weapon_spawn w4_psm 515
			if(fixed_weapon eq 4) weapon_spawn w5_sbg 516
			if(fixed_weapon eq 5) weapon_spawn w6_vdg 517
			if(fixed_weapon eq 6) weapon_spawn w7_scc 518
			if(fixed_weapon eq 7) weapon_spawn w8_mbo 519
			if(fixed_weapon eq 8) weapon_spawn w9_scr 520
		}
	}
}
func void SpawnFixedPistol(void) {
	if(weapons_spawned < max_weapons) {
		weapons_spawned= weapons_spawned + 1;
		fixed_weapon= fixed_weapon + 1;
		if(fixed_weapon > fixed_weapon_max) fixed_weapon= 0;
		if(arena_area eq 0) {
			if(fixed_weapon eq 0) weapon_spawn w1_tap 100
			if(fixed_weapon eq 1) weapon_spawn w1_tap 144
			if(fixed_weapon eq 2) weapon_spawn w1_tap 149
			if(fixed_weapon eq 3) weapon_spawn w1_tap 152
			if(fixed_weapon eq 4) weapon_spawn w1_tap 154
			if(fixed_weapon eq 5) weapon_spawn w1_tap 156
			if(fixed_weapon eq 6) weapon_spawn w1_tap 159
			if(fixed_weapon eq 7) weapon_spawn w1_tap 175
			if(fixed_weapon eq 8) weapon_spawn w1_tap 196
		}
		if(arena_area eq 0) {
			if(fixed_weapon eq 0) weapon_spawn w1_tap 252
			if(fixed_weapon eq 1) weapon_spawn w1_tap 253
			if(fixed_weapon eq 2) weapon_spawn w1_tap 254
			if(fixed_weapon eq 3) weapon_spawn w1_tap 255
			if(fixed_weapon eq 4) weapon_spawn w1_tap 247
			if(fixed_weapon eq 5) weapon_spawn w1_tap 258
			if(fixed_weapon eq 6) weapon_spawn w1_tap 551
			if(fixed_weapon eq 7) weapon_spawn w1_tap 548
			if(fixed_weapon eq 8) weapon_spawn w1_tap 256
		}
		if(arena_area eq 2) {
			if(fixed_weapon eq 0) weapon_spawn w1_tap 512
			if(fixed_weapon eq 1) weapon_spawn w1_tap 513
			if(fixed_weapon eq 2) weapon_spawn w1_tap 514
			if(fixed_weapon eq 3) weapon_spawn w1_tap 515
			if(fixed_weapon eq 4) weapon_spawn w1_tap 516
			if(fixed_weapon eq 5) weapon_spawn w1_tap 517
			if(fixed_weapon eq 6) weapon_spawn w1_tap 518
			if(fixed_weapon eq 7) weapon_spawn w1_tap 519
			if(fixed_weapon eq 8) weapon_spawn w1_tap 520
		}
	}
}