######################
# ONI TEAM ARENA 1.0 #
######################
# arena_teams.bsl for tctf_ii
######################
func void ArenaSetupTeams(void) {
	arena_players= 1;
	chr_unkillable(A_player, 1); chr_changeteam(A_player, Konoko);
	fork RespawnPlayer(Konoko, A_player, "[y.KONOKO]");
	sleep 100; fork AddEnemyTeam();
	sleep 50; fork AddNeutralTeam();
	sleep 50; fork AddFriendTeam();
}
func void AddFriendTeam(void) {
	AddPlayer(Konoko, B_S36, "[g.YODA]"); sleep 150;
	AddPlayer(Konoko, A_L18, "[g.QUI GON JINN]"); sleep 150;
	AddPlayer(Konoko, B_C32, "[b.OBI WAN KENOBI]"); sleep 150;
	AddPlayer(Konoko, D_S83, "[r.ADI GALLIA]"); sleep 150;
	AddPlayer(Konoko, l3, "[r.MACE WINDU]"); sleep 150;
	AddPlayer(Konoko, D_S79, "[b.REPUBLIC SOLDIER]"); sleep 150;
	dmsg("[b.JEDI KNIGHTS] team complete");
}
func void AddEnemyTeam(void) {
	AddPlayer(Syndicate, ZomGrif, "[g.DARTH SIDIOUS]"); sleep 150;
	AddPlayer(Syndicate, D_Sbo86, "[o.DARTH MAUL]"); sleep 150;
	AddPlayer(Syndicate, D_Sbo92, "[r.DARTH TYRANNUS]"); sleep 150;
	AddPlayer(Syndicate, D_Sbo93, "[r.DARTH VADER]"); sleep 150;
	AddPlayer(Syndicate, B_Sbo35, "[b.DARTH MALAK]"); sleep 150;
	AddPlayer(Syndicate, B_Sbo38, "[g.DARK ONE]"); sleep 150;
	AddPlayer(Syndicate, A_Sbo16, "[b.SHADOW]"); sleep 150;
	AddPlayer(Syndicate, B_Lbo77, "[y.SITH SOLDIER 1]"); sleep 150;
	AddPlayer(Syndicate, B_Lbo76, "[r.SITH SOLDIER 2]"); sleep 150;
	AddPlayer(Syndicate, D_Lbo81, "[r.SITH SOLDIER 3]"); sleep 150;
	dmsg("[r.SITH LORDS] team complete");
}
func void AddNeutralTeam(void) {
	AddPlayer(Neutral, new_1, "[r.Citizen Smith]"); sleep 150;
	AddPlayer(Neutral, C_N74, "[y.Citizen Jones]"); sleep 150;
	AddPlayer(Neutral, C_N55, "[b.Citizen Jack]"); sleep 150;
	dmsg("[g.CITIZEN] team complete");
}
################################# CALLED AT EVERY FRAG
func ArenaAwareness {
	ai2_makeaware(B_S36, ZomGrif)
	ai2_makeaware(A_L18, ZomGrif)
	ai2_makeaware(B_C32, ZomGrif)
	ai2_makeaware(D_S83, ZomGrif)
	ai2_makeaware(l3, ZomGrif)
	ai2_makeaware(D_S79, ZomGrif)

	ai2_makeaware(ZomGrif, A_player)
	ai2_makeaware(D_Lbo81, A_player)
	ai2_makeaware(D_Sbo86, A_player)
	ai2_makeaware(D_Sbo92, A_player)
	ai2_makeaware(D_Sbo93, A_player)
	ai2_makeaware(B_Sbo35, A_player)
	ai2_makeaware(B_Sbo38, A_player)
	ai2_makeaware(A_Sbo16, A_player)
	ai2_makeaware(B_Lbo77, A_player)
	ai2_makeaware(B_Lbo76, A_player)

	ai2_makeaware(new_1, ZomGrif)
	ai2_makeaware(C_N74, ZomGrif)
	ai2_makeaware(C_N55, ZomGrif)
	ai2_makeaware(new_1, A_player)
	ai2_makeaware(C_N74, A_player)
	ai2_makeaware(C_N55, A_player)
}
################################### USED FOR BOT SHAPESHIFTING
################ PLAYERS APPEAR IN THE ORDER THEY WERE SPAWNED
func void ArenaMenuName(void) {
	if(arena_spawn_id eq  0)
		{arena_menu_name= A_player; arena_menu_nick= "[y.KONOKO]";}
	if(arena_spawn_id eq  1)
		{arena_menu_name= ZomGrif; arena_menu_nick= "[g.DARTH SIDIOUS]";}
	if(arena_spawn_id eq  2)
		{arena_menu_name= new_1; arena_menu_nick= "[r.Citizen Smith]";}
	if(arena_spawn_id eq  3)
		{arena_menu_name= B_S36; arena_menu_nick= "[g.YODA]";}
	if(arena_spawn_id eq  4)
		{arena_menu_name= D_Sbo86; arena_menu_nick= "[o.DARTH MAUL]";}
	if(arena_spawn_id eq  5)
		{arena_menu_name= C_N74; arena_menu_nick= "[y.Citizen Jones]";}
	if(arena_spawn_id eq  6)
		{arena_menu_name= A_L18; arena_menu_nick= "[g.QUI GON JINN]";}
	if(arena_spawn_id eq  7)
		{arena_menu_name= D_Sbo92; arena_menu_nick= "[r.DARTH TYRANNUS]";}
	if(arena_spawn_id eq  8)
		{arena_menu_name= C_N55; arena_menu_nick= "[b.Citizen Jack]";}
	if(arena_spawn_id eq  9)
		{arena_menu_name= B_C32; arena_menu_nick= "[b.OBI WAN KENOBI]";}
	if(arena_spawn_id eq 10)
		{arena_menu_name= D_Sbo93; arena_menu_nick= "[r.DARTH VADER]";}
	if(arena_spawn_id eq 11)
		{arena_menu_name= D_S83; arena_menu_nick= "[r.ADI GALLIA]";}
	if(arena_spawn_id eq 12)
		{arena_menu_name= B_Sbo35; arena_menu_nick= "[b.DARTH MALAK]";}
	if(arena_spawn_id eq 13)
		{arena_menu_name= l3; arena_menu_nick= "[r.MACE WINDU]";}
	if(arena_spawn_id eq 14)
		{arena_menu_name= B_Sbo38; arena_menu_nick= "[g.DARK ONE]";}
	if(arena_spawn_id eq 15)
		{arena_menu_name= D_S79; arena_menu_nick= "[b.REPUBLIC SOLDIER]";}
	if(arena_spawn_id eq 16)
		{arena_menu_name= A_Sbo16; arena_menu_nick= "[b.SHADOW]";}
	if(arena_spawn_id eq 17)
		{arena_menu_name= B_Lbo77; arena_menu_nick= "[y.SITH SOLDIER 1]";}
	if(arena_spawn_id eq 18)
		{arena_menu_name= B_Lbo76; arena_menu_nick= "[r.SITH SOLDIER 2]";}
	if(arena_spawn_id eq 19)
		{arena_menu_name= D_Lbo81; arena_menu_nick= "[r.SITH SOLDIER 3]";}
}
