#
# DG's OniDemo Scripts
# This script was edited by Dead Glory
# Homesite: dg.rules.it
#
# For updates and more scripts cheats etc visit Oni Res - oni.bungie.org/res
#

######################
# training variables #
######################

#checks to see if player is in correct room for executing current script
var int how_far_along=0;

#number of dash track lights
var int tcount=17;

#sees if player sprinted
var int didsprint;

#sees if player jumped up to big crate with power cell
var int powerupon;

#checks to see if OK to run training (for restored game funkiness)
var int can_train_movement = 1;

#continues crouch training
var int onto_crouch2;

#used to determine if dashing on track for the first time
var int A;

#used to determine if finished run was slow
var int B;

#set if running was failed
var int bad;

#used to measure performance of player
var int rating = 1;

#karen dies!
var int demo3dead;

#determines which jump script continues after getting on biggest crate	
var int got_ammo;

#prevents forcefield and particle/gunk from starting multiple times and not after jumping to the next room
var int forcefieldstopped;
var int particlestarted;

var int dgsint = 3;

##################
# basic movement #
##################
func void train_movement(string ai_name)
{
	if (can_train_movement eq 1)
	{
		train_movement_internal
	}
}

func void train_movement_internal(void)
{
	fade_out 0 0 5 0
	cm_interpolate KonCamFoot01 0
	particle forcefield1 do start
	particle forcefield2 do start
	particle steam start
	ui_suppress_prompt=1
	ui_show_element left 0
	ui_show_element right 0
	target_set (1,0.0)
	env_show 2010 0
	how_far_along = 1;
	trigvolume_enable trigger_volume_54 0
	console_deactivate 11

	dprint train_movement

	if(how_far_along eq 1)
	{
		ai2_spawn demo1
		ai2_spawn demo2
		ai2_spawn demo3
		chr_set_health demo1 200
		chr_set_health demo2 200
		chr_set_health demo3 300
		ai2_setjobstate demo3
		ai2_passive demo3 1
		input 0
		fade_in 120
		trig_activate 3
		sleep 40
		trig_activate 2
		sleep 40
		trig_activate 1
		fork Kon
		sound_dialog_play c00_01_31shinatama
		music_train
		sleep 150
		ai2_dopath demo1 pdemo1
		ai2_dopath demo2 pdemo2
		sleep 200
		input 1
		chr_changeteam demo1 Syndicate
		chr_changeteam demo2 Syndicate
		sleep 20
		ai2_attack demo1 char_0
		ai2_attack demo2 char_0
	}
}

func void move2(string ai_name)
{
	#trigger volume near control console
	message_remove xmouse
	message_remove xmove
	message_remove xcombo
	message_remove xconsole1
	particle obj_control kill
}

func void move3(string ai_name)
{
	#used control console
	message_remove xactivate1
	particle obj_control kill
	sleep 60
	particle obj1 create
	door_unlock 98 
	particle door1_locklight02 do start
	message xgodoor
}

###################
# use manual door #
###################

func void train_door(string ai_name)
{
	dprint train_door
	particle obj1 kill
	message_remove xgodoor
}

########
# jump #
########
func void train_jump(string ai_name)
{	
	how_far_along = 2;
	particle obj1 kill
	message_remove xgodoor
	particle forcefield1 do stop
	sleep 50
	forcefieldstopped = 1
	particlestarted = 1
	env_show 2011 0
	particle obj2 create
}

func void powerup(string ai_name)
{
	powerupon = 1
	fork pickup_powerup
	message_remove jump_basic
	message_remove jump_basic2
	message_remove good
	message_remove jump1
#	particle obj2 kill
	sleep 80
}
func void pickup_powerup(void)
{
#	particle obj2 kill
	message_remove jump1
}

################
# escape moves #
################
func void train_crouch(string ai_name)
{
	env_show 2012 0
	how_far_along = 3;
	trigvolume_enable trigger_volume_62 0
	message_remove
	door_lock 98
	particle door1_locklight02 do stop
	particle obj2 kill
	particle obj1 kill
	particle obj_start kill
	particle obj_end kill
	particle obj_control kill
	dprint train_crouch
	trigvolume_enable trigger_volume_71 0
	sleep 60
	message_remove
	particle obj2 kill
	crouch2
}

func void crouch2(string ai_name)
{
	if (how_far_along eq 3)
	{
#		more jump-flip
#		starting at the target cursor on the floor, dash and jump-flip up to the next level.
		particle forcefield2 do stop
		sleep 180
		particle obj3 create
		env_show 2012 0
		sleep 600
	}
}

func void demo_over(string ai_name)
{
	onto_crouch2 = onto_crouch2 + 1
	if(onto_crouch2 eq 2)
	{
		ai2_passive demo3 0
		ai2_setmovementmode demo3 run
		ai2_dopath demo3 pdemo3
		sleep 180
		chr_changeteam demo3 Syndicate
		ai2_attack demo3 char_0
		
	}
}

func void demo3dies(string ai_name)
{
	sound_dialog_play c00_01_01shinatama
	message xconsole1
	particle obj_control create
	trigvolume_enable trigger_volume_54 1
	console_activate 10
	console_activate 11
}


func void review(string ai_name)
{
	if(how_far_along eq 1)
	{
		message_remove xreview
		particle obj_data kill
	#	sleep 60
	#	message xactivate3
	}
}

func void review2(string ai_name)
{
	if(how_far_along eq 1)
	{
	#	message_remove xactivate3
		text_console level_1c
		console_reset 11
	}
}